@echo off

rem ====== setup part ======

call setenv.bat

set CP1=%WCS_JCE_CLASSPATH%;%WCS_HOME%\lib;%WCS_HOME%\lib\wcsruntime.jar;%WCS_HOME%\lib\wcsconfig.jar;%WCS_HOME%\lib\xml4j.jar

if "%WAS_HOME%"=="" set CP2=%WCS_HOME%\lib\xerces.jar
if not "%WAS_HOME%"=="" set CP2=%WAS_HOME%\lib\xerces.jar

set DBDRIVERCP=%DB2_DRIVER%;%ORACLE_CLASSPATH%;%ORACLE_HOME%\bin

set DBTYPE=%1
if "%DBTYPE%"=="" goto dbtype_not_found

if not "%DBTYPE%"=="oracle" goto test_for_db2_type
goto set_classpath

:test_for_db2_type
if not "%DBTYPE%"=="db2" goto dbtype_incorrect

:set_classpath
set CP=%DBDRIVERCP%;%CP1%;%CP2%;.

rem ====== execution part ======

copy CCInfoDBUpdate.%DBTYPE%.txt %WCTEMPDIR%\DBUpdate.txt
cd %WCTEMPDIR%
%JAVA_HOME%\bin\java -cp %CP% com.ibm.commerce.dbupdatetool.MKChangeApp %2 >> %WCLOGDIR%\CCInfoMigration.log
if errorlevel 1 goto exec_failed
del DBUpdate.txt
cd ..\bin

copy ..\schema\%DBTYPE%\migration\DBUpdate.txt %WCTEMPDIR%
cd %WCTEMPDIR%
%JAVA_HOME%\bin\java -cp %CP% com.ibm.commerce.dbupdatetool.MKChangeApp %2 %3 %4 >> %WCLOGDIR%\MKChangeUserAndCCInfoMigration.log
if errorlevel 1 goto exec_failed
del DBUpdate.txt
cd ..\bin

goto exec_ok

rem ====== errors and messages ======

:dbtype_not_found
Echo No DB type specified.
goto end

:dbtype_incorrect
Echo Wrong DB type specified.
goto end

:exec_failed
del DBUpdate.txt
cd ..\bin
Echo Migration Failed.
goto end

:exec_ok
Echo Migration OK.

:end
rem ====== The End ======
