:begin
@echo off
echo IBM WebSphere Commerce Server V5.4.0.1 Fixpack install

set JARFILENAME=WCfixpackPro5401_wc_WIN.jar
set BACKUPJARFILENAME=WCfixpackPro5401_wc_WIN_backup.jar
set LOGFILENAME=WCfixpackPro5401_wc_WIN.log

echo Enter the directory where the IBM WebSpere Commerce Server is installed
GetInput WC_HOME "For example, C:\Program Files\WebSphere\CommerceServer " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\fixpack\5401

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_wc_home
echo The WC_HOME is %WC_HOME%
IF NOT EXIST "%WC_HOME%"\xml\product.xml   goto bad_wc_home

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home

set PATH=%WAS_HOME%\java\bin;%PATH%

:start
IF NOT EXIST    .\WCfixpackPro5401_wc_WIN.jar goto bad_pwd
IF NOT EXIST    .\Delta.jar     goto bad_pwd

IF NOT EXIST     "%WC_HOME%"\service   mkdir "%WC_HOME%"\service
IF NOT EXIST     "%WC_HOME%"\service\fixpack   mkdir "%WC_HOME%"\service\fixpack
IF NOT EXIST     "%WC_HOME%"\service\fixpack\5401   mkdir "%WC_HOME%"\service\fixpack\5401

java -jar %JARFILENAME% -TargetDir "%WC_HOME%" -BackupJar "%WC_SERVICE%"\%BACKUPJARFILENAME% -logFile "%WC_SERVICE%"\%LOGFILENAME%

goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:bad_wc_home
echo.
echo Can not locate %WC_HOME%\xml\product.xml
echo Please specify the correct WC_HOME directory and rerun this script.
echo.
goto end

:bad_pwd
echo.
echo Can not locate the files: %JARFILENAME%, Delta.jar
echo.
goto end

:syntax
echo.
echo usage: install WC_HOME WAS_HOME
echo For example, install c:\WebSphere\wc c:\WebSphere\WAServer
echo Please specify the correct WAS_HOME directory and rerun this script.
goto end

:parms
echo.
echo Installing fixpack complete.

:bad_wc_home
echo The WC_HOME of %WC_HOME is incorrect.
goto end

:bad_was_home
echo The WAS_HOME of %WAS_HOME is incorrect.
goto end

:end
echo Done
