prompt
prompt Creating MATERIALIZED VIEW LOGs ...
prompt
set term off
declare
	vcMVName VARCHAR2(30);
begin
    SELECT MVIEW_NAME into vcMVName from Dba_Mviews where MVIEW_NAME='RICHATTRCATGP';
EXCEPTION
   WHEN NO_DATA_FOUND THEN
    	EXECUTE IMMEDIATE 'CREATE MATERIALIZED VIEW LOG ON	ATTRIBUTE	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES';
    	EXECUTE IMMEDIATE 'CREATE MATERIALIZED VIEW LOG ON	ATTRVALUE	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES';
end;
/
set term on
commit;    	

prompt
prompt Creating MATERIALIZED VIEW RICHATTR ...
prompt
CREATE MATERIALIZED VIEW RICHATTR
NOLOGGING 
CACHE 
BUILD IMMEDIATE 
REFRESH FAST ON COMMIT 
ENABLE QUERY REWRITE AS
	SELECT 	
			ATTRIBUTE.NAME,
			ATTRIBUTE.LANGUAGE_ID,
			ATTRVALUE.CATENTRY_ID,
			ATTRVALUE.FLOATVALUE,
			ATTRVALUE.INTEGERVALUE,
			ATTRVALUE.STRINGVALUE,
			ATTRIBUTE.ROWID	ATTR_RID,
			ATTRVALUE.ROWID ATTRVALUE_RID
	FROM	
			ATTRIBUTE, ATTRVALUE
	WHERE 	
			ATTRIBUTE. ATTRIBUTE_ID=ATTRVALUE.ATTRIBUTE_ID;
commit;

prompt
prompt Creating INDEX I_RICHATTR ...
prompt
CREATE INDEX I_RICHATTR ON RICHATTR
(
   	NAME			ASC,
	LANGUAGE_ID		ASC,
	CATENTRY_ID		ASC,
	FLOATVALUE		ASC,
	INTEGERVALUE	ASC,
	STRINGVALUE		ASC
);
commit;

prompt
prompt Enabling QUERY_REWRITE ...
prompt
alter system set query_rewrite_enabled=true;
commit;
