prompt
prompt Creating MATERIALIZED VIEW LOGs ...
prompt
CREATE MATERIALIZED VIEW LOG ON	TRADEPOSCN	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES;
CREATE MATERIALIZED VIEW LOG ON	OFFER		STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES;
CREATE MATERIALIZED VIEW LOG ON	OFFERPRICE	STORAGE (MAXEXTENTS UNLIMITED)	WITH ROWID	INCLUDING NEW VALUES;
commit;

prompt
prompt Creating MATERIALIZED VIEW STDPRICE ...
prompt
CREATE MATERIALIZED VIEW STDPRICE
NOLOGGING 
CACHE 
BUILD IMMEDIATE 
REFRESH FAST ON COMMIT 
ENABLE QUERY REWRITE AS
	SELECT 	
			OFFER.CATENTRY_ID,
			OFFER.MINIMUMQUANTITY,
			OFFER.MAXIMUMQUANTITY,
			OFFERPRICE.PRICE,
			OFFERPRICE.CURRENCY,
			TRADEPOSCN.TYPE,
			TRADEPOSCN.ROWID TPCN_RID,
			OFFER.ROWID	OFFER_RID,
			OFFERPRICE.ROWID OFFERP_RID
	FROM	
			OFFER, OFFERPRICE, TRADEPOSCN		
	WHERE 	
			TRADEPOSCN.TRADEPOSCN_ID = OFFER.TRADEPOSCN_ID
          AND OFFER.OFFER_ID = OFFERPRICE.OFFER_ID ;
commit;

prompt
prompt Creating INDEX I_STDPRICE ...
prompt
CREATE INDEX I_STDPRICE ON STDPRICE
(
   	PRICE			ASC,
	CATENTRY_ID		ASC,
	CURRENCY		ASC
);
commit;

prompt
prompt Creating VIEW STDPRICEVW ...
prompt
CREATE VIEW STDPRICEVW AS 
	SELECT 	
			CATENTRY_ID,
 			PRICE,
			CURRENCY
	FROM 	
			STDPRICE
	WHERE  	
			TYPE = 'S'
		AND (MINIMUMQUANTITY IS NULL  OR  MAXIMUMQUANTITY IS NULL);
commit;

prompt
prompt Enabling QUERY_REWRITE ...
prompt
alter system set query_rewrite_enabled=true;
commit;