Create or replace trigger ISTG_mbrgrp
               AFTER INSERT ON mbrgrp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.mbrgrp_id = 0 THEN 
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'mbrgrp', 'I',
                             NULL, 0,
                             NULL, NULL,
                             'mbrgrp_id', NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             0, 0);
                ELSE
                   INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'mbrgrp', 'I',
                             NULL, 1,
                             NULL, NULL,
                             'mbrgrp_id', NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             0, 0);
                END IF;
               END;
/

Create or replace trigger USTG_mbrgrp
               AFTER UPDATE ON mbrgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.mbrgrp_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'mbrgrp', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'mbrgrp_id', NULL, NULL, NULL,
                               :O.mbrgrp_id, NULL, NULL, NULL,
                               :N.mbrgrp_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'mbrgrp', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'mbrgrp_id', NULL, NULL, NULL,
                               :O.mbrgrp_id, NULL, NULL, NULL,
                               :N.mbrgrp_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_mbrgrp
               AFTER DELETE ON mbrgrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.mbrgrp_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'mbrgrp', 'D',
                              NULL, 0,
                              NULL, NULL,
                              'mbrgrp_id', NULL, NULL, NULL,
                              :O.mbrgrp_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,          NULL,
                              0, 0 );
                 ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'mbrgrp', 'D',
                              NULL, 1,
                              NULL, NULL,
                              'mbrgrp_id', NULL, NULL, NULL,
                              :O.mbrgrp_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,          NULL,
                              0, 0 );
                 END IF;
               END;
/

Create or replace trigger ISTG_viewreg
               AFTER INSERT ON viewreg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                       INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
                                    stgokey5,
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		       VALUES (maxkey, sysdate, 'viewreg', 'I',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', 'devicefmt_id', 'viewname', NULL,
                               NULL,
                               :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                               NULL,
                               :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                               NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
                                    stgokey5,
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		       VALUES (maxkey, sysdate, 'viewreg', 'I',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', 'devicefmt_id', 'viewname', NULL,
                               NULL,
                               :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                               NULL,
                               :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                               NULL,
                               0, 0 );
                END IF;
               END;
/


Create or replace trigger USTG_viewreg
               AFTER UPDATE ON viewreg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4,
                                    stgokey5, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'viewreg', 'U',
                              NULL, 0,
                              NULL, NULL,
                              'storeent_id', 'devicefmt_id', 'viewname', NULL,
                              NULL,
                              :O.storeent_id, :O.devicefmt_id, :O.viewname, NULL,
                              NULL,
                              :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                              NULL,
                              0, 0 );
                 ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4,
                                    stgokey5, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'viewreg', 'U',
                              NULL, 1,
                              NULL, NULL,
                              'storeent_id', 'devicefmt_id', 'viewname', NULL,
                              NULL,
                              :O.storeent_id, :O.devicefmt_id, :O.viewname, NULL,
                              NULL,
                              :N.storeent_id, :N.devicefmt_id, :N.viewname, NULL,
                              NULL,
                              0, 0 );
                 END IF;
               END;
/

Create or replace trigger DSTG_viewreg
               AFTER DELETE ON viewreg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                    maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.storeent_id = 0 THEN
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4,
                                    stgokey5, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'viewreg', 'D',
                             NULL, 0,
                             NULL, NULL,
                             'storeent_id', 'devicefmt_id', 'viewname', NULL,
                             NULL,
                             :O.storeent_id, :O.devicefmt_id, :O.viewname, NULL,
                             NULL, 
                             NULL, NULL, NULL, NULL,
                             NULL,
                             0, 0 );
                ELSE
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                    stgkey5name, 
				    stgokey1, stgokey2, stgokey3, stgokey4,
                                    stgokey5, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgnkey5,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'viewreg', 'D',
                             NULL, 1,
                             NULL, NULL,
                             'storeent_id', 'devicefmt_id', 'viewname', NULL,
                             NULL,
                             :O.storeent_id, :O.devicefmt_id, :O.viewname, NULL,
                             NULL, 
                             NULL, NULL, NULL, NULL,
                             NULL,
                             0, 0 );
                END IF;
              END;
/

Create or replace trigger ISTG_cmdreg
               AFTER INSERT ON cmdreg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                       INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		       VALUES ( maxkey, sysdate, 'cmdreg', 'I',
                                NULL,  0,
                                NULL, NULL,
                                'storeent_id', NULL, 'interfacename', NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                0, 0 );
                ELSE
                       INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		       VALUES ( maxkey, sysdate, 'cmdreg', 'I',
                                NULL,  1,
                                NULL, NULL,
                                'storeent_id', NULL, 'interfacename', NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_cmdreg
               AFTER UPDATE ON cmdreg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                       INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		       VALUES ( maxkey, sysdate, 'cmdreg', 'U',
                                NULL, 0,
                                NULL, NULL,
                                'storeent_id', NULL, 'interfacename', NULL,
                                :O.storeent_id, NULL, :O.interfacename, NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		       VALUES ( maxkey, sysdate, 'cmdreg', 'U',
                                NULL, 1,
                                NULL, NULL,
                                'storeent_id', NULL, 'interfacename', NULL,
                                :O.storeent_id, NULL, :O.interfacename, NULL,
                                :N.storeent_id, NULL, :N.interfacename, NULL,
                                0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_cmdreg
               AFTER DELETE ON cmdreg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'cmdreg', 'D',
                              NULL, 0,
                              NULL, NULL,
                              'storeent_id', NULL, 'interfacename', NULL,
                              :O.storeent_id, NULL, :O.interfacename, NULL,
                              NULL, NULL, NULL, NULL,
                              0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		     VALUES (maxkey, sysdate, 'cmdreg', 'D',
                             NULL, 1,
                             NULL, NULL,
                             'storeent_id', NULL, 'interfacename', NULL,
                             :O.storeent_id, NULL, :O.interfacename, NULL,
                             NULL, NULL, NULL, NULL,
                             0, 0 );
                END IF;
               END;
/

Create or replace trigger ISTG_urlreg
               AFTER INSERT ON urlreg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'I',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               0, 0 );
               ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'I',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               0, 0 );
               END IF;
               END;
/

Create or replace trigger USTG_urlreg
               AFTER UPDATE ON urlreg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :O.storeent_id, NULL, :O.url, NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :O.storeent_id, NULL, :O.url, NULL,
                               :N.storeent_id, NULL, :N.url, NULL,
                               0, 0 );
                END IF;
               END;
/


Create or replace trigger DSTG_urlreg
               AFTER DELETE ON urlreg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'D',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :O.storeent_id, NULL, :O.url, NULL,
                               NULL, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'urlreg', 'D',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', NULL, 'url', NULL,
                               :O.storeent_id, NULL, :O.url, NULL,
                               NULL, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger ISTG_storeent
               AFTER INSERT ON storeent REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
		              	    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
			            stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'I',
                               NULL,  0,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
		              	    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
			            stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'I',
                               NULL,  1,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_storeent
               AFTER UPDATE ON storeent REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :O.storeent_id, NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :O.storeent_id, NULL, NULL, NULL,
                               :N.storeent_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_storeent
               AFTER DELETE ON storeent REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'D',
                               NULL,  0,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :O.storeent_id, NULL, NULL, NULL,
                               NULL, NULL, NULL,      NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeent', 'D',
                               NULL,  1,
                               NULL, NULL,
                               'storeent_id', NULL, NULL, NULL,
                               :O.storeent_id, NULL, NULL, NULL,
                               NULL, NULL, NULL,      NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger ISTG_storeentds
               AFTER INSERT ON storeentds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'I',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'I',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               0, 0 );                    
                END IF;
               END;
/


Create or replace trigger USTG_storeentds
               AFTER UPDATE ON storeentds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :O.storeent_id, :O.language_id, NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :O.storeent_id, :O.language_id, NULL, NULL,
                               :N.storeent_id, :N.language_id, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create  or replace trigger DSTG_storeentds
               AFTER DELETE ON storeentds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.storeent_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'D',
                               NULL,  0,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :O.storeent_id, :O.language_id, NULL, NULL,
                               NULL, NULL, NULL,           NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'storeentds', 'D',
                               NULL,  1,
                               NULL, NULL,
                               'storeent_id', 'language_id', NULL, NULL,
                               :O.storeent_id, :O.language_id, NULL, NULL,
                               NULL, NULL, NULL,           NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger ISTG_member
               AFTER INSERT ON member REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.member_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'member', 'I',
                               NULL, 0,
                               NULL, NULL,
                               'member_id', NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'member', 'I',
                               NULL, 1,
                               NULL, NULL,
                               'member_id', NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_member
               AFTER UPDATE ON member REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.member_id = 0 THEN 
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'member', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'member_id', NULL, NULL, NULL,
                               :O.member_id, NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'member', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'member_id', NULL, NULL, NULL,
                               :O.member_id, NULL, NULL, NULL,
                               :N.member_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_member
               AFTER DELETE ON member REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.member_id = 0 THEN 
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'member', 'D',
                              NULL, 0,
                              NULL, NULL,
                              'member_id', NULL, NULL, NULL,
                              :O.member_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,       NULL,
                              0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'member', 'D',
                              NULL, 1,
                              NULL, NULL,
                              'member_id', NULL, NULL, NULL,
                              :O.member_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,       NULL,
                              0, 0 );
                END IF;
               END;
/



Create or replace trigger ISTG_orgentity
       AFTER INSERT ON orgentity REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.orgentity_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :N.orgentity_id, NULL, NULL, NULL, 
                      :N.orgentity_id, NULL, NULL, NULL, 
                      0, 0);
        ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'I', 
                      NULL, 1,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :N.orgentity_id, NULL, NULL, NULL, 
                      :N.orgentity_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger USTG_orgentity
       AFTER UPDATE ON orgentity REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.orgentity_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :O.orgentity_id, NULL, NULL, NULL, 
                      :N.orgentity_id, null, null, null, 
                      0, 0);
        ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'U', 
                      NULL, 1,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :O.orgentity_id, null, null, null, 
                      :N.orgentity_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger DSTG_orgentity
       AFTER DELETE ON orgentity REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :O.orgentity_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :O.orgentity_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
        ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'orgentity', 'D', 
                      NULL, 1,
                      NULL, NULL,
                      'orgentity_id', NULL, NULL, NULL, 
                      :O.orgentity_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/


Create or replace trigger ISTG_qtyconvert
               AFTER INSERT ON qtyconvert REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES (maxkey,
                   sysdate, 'qtyconvert', 'I',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'qtyunit_id_to', NULL,
                   'qtyunit_id_from',
                   NULL, NULL, :N.qtyunit_id_to, NULL,
                   :N.qtyunit_id_from,
                   NULL, NULL, :N.qtyunit_id_to, NULL,
                   :N.qtyunit_id_from,
                   0, 0 );
               END;
/

Create or replace trigger USTG_qtyconvert
               AFTER UPDATE ON qtyconvert REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyconvert', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULl, NULL, 'qtyunit_id_to', NULL,
                   'qtyunit_id_from',
                   NULL, NULL, :O.qtyunit_id_to, NULL,
                   :O.qtyunit_id_from,
                   NULL, NULL, :N.qtyunit_id_to, NULL,
                   :N.qtyunit_id_from,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_qtyconvert
               AFTER DELETE ON qtyconvert REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES (maxkey,
                   sysdate, 'qtyconvert', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'qtyunit_id_to', NULL,
                   'qtyunit_id_from',
                   NULL, NULL, :O.qtyunit_id_to, NULL,
                   :O.qtyunit_id_from,
                   NULL, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_qtyunitdsc
       AFTER INSERT ON qtyunitdsc REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunitdsc', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'qtyunit_id', NULL, 
                      :N.language_id, NULL, :N.qtyunit_id, NULL, 
                      :N.language_id, NULL, :N.qtyunit_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_qtyunitdsc
       AFTER UPDATE ON qtyunitdsc REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunitdsc', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'qtyunit_id', NULL, 
                      :N.language_id, NULL, :O.qtyunit_id, NULL, 
                      :O.language_id, NULL, :N.qtyunit_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_qtyunitdsc
       AFTER DELETE ON qtyunitdsc REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunitdsc', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'qtyunit_id', NULL, 
                      :O.language_id, NULL, :O.qtyunit_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_qtyunit
       AFTER INSERT ON qtyunit REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunit', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'qtyunit_id', NULL, 
                      NULL, NULL, :N.qtyunit_id, NULL, 
                      NULL, NULL, :N.qtyunit_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_qtyunit
       AFTER UPDATE ON qtyunit REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunit', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'qtyunit_id', NULL, 
                      NULL, NULL, :O.qtyunit_id, NULL, 
                      NULL, NULL, :N.qtyunit_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_qtyunit
       AFTER DELETE ON qtyunit REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'qtyunit', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'qtyunit_id', NULL, 
                      NULL, NULL, :O.qtyunit_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/


Create or replace trigger ISTG_setcurr
       AFTER INSERT ON setcurr REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'setcurr', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'setccurr', NULL, 
                      NULL, NULL, :N.setccurr, NULL, 
                      NULL, NULL, :N.setccurr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_setcurr
       AFTER UPDATE ON setcurr REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'setcurr', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'setccurr', NULL, 
                      NULL, NULL, :O.setccurr, NULL, 
                      NULL, NULL, :N.setccurr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_setcurr
       AFTER DELETE ON setcurr REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'setcurr', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'setccurr', NULL, 
                      NULL, NULL, :O.setccurr, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/


Create or replace trigger ISTG_taxtype
       AFTER INSERT ON taxtype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'taxtype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'taxtype_id', NULL, NULL, NULL, 
                      :N.taxtype_id, NULL, NULL, NULL, 
                      :N.taxtype_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_taxtype
       AFTER UPDATE ON taxtype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'taxtype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'taxtype_id', NULL, NULL, NULL, 
                      :O.taxtype_id, NULL, NULL, NULL, 
                      :N.taxtype_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_taxtype
       AFTER DELETE ON taxtype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'taxtype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'taxtype_id', NULL, NULL, NULL, 
                      :O.taxtype_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_calusage
       AFTER INSERT ON calusage REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'calusage', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'calusage_id', NULL, NULL, NULL, 
                      :N.calusage_id, NULL, NULL, NULL, 
                      :N.calusage_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_calusage
       AFTER UPDATE ON calusage REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'calusage', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'calusage_id', NULL, NULL, NULL, 
                      :O.calusage_id, NULL, NULL, NULL, 
                      :N.calusage_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_calusage
       AFTER DELETE ON calusage REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'calusage', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'calusage_id', NULL, NULL, NULL, 
                      :O.calusage_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/


Create or replace trigger ISTG_txcdscheme
       AFTER INSERT ON txcdscheme REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'txcdscheme', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'txcdscheme_id', NULL, NULL, NULL, 
                      :N.txcdscheme_id, NULL, NULL, NULL, 
                      :N.txcdscheme_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_txcdscheme
       AFTER UPDATE ON txcdscheme REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'txcdscheme', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'txcdscheme_id', NULL, NULL, NULL, 
                      :O.txcdscheme_id, NULL, NULL, NULL, 
                      :N.txcdscheme_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_txcdscheme
       AFTER DELETE ON txcdscheme REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'txcdscheme', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'txcdscheme_id', NULL, NULL, NULL, 
                      :O.txcdscheme_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_countcode
       AFTER INSERT ON countcode REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'countcode', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'countryabbr',
                      NULL, NULL, :N.productvendor, NULL, :N.countryabbr, 
                      NULL, NULL, :N.productvendor, NULL, :N.countryabbr,
                      0, 0);
      END;
/
 
Create or replace trigger USTG_countcode
       AFTER UPDATE ON countcode REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'countcode', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'countryabbr', 
                      NULL, NULL, :O.productvendor, NULL, :O.countryabbr,
                      NULL, NULL, :N.productvendor, NULL, :N.countryabbr,
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_countcode
       AFTER DELETE ON countcode REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'countcode', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'countryabbr', 
                      NULL, NULL, :O.productvendor, NULL, :O.countryabbr, 
                      NULL, NULL, NULL, NULL, NULL,
                      0, 0);
      END;
/

Create or replace trigger ISTG_statecode
       AFTER INSERT ON statecode REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'statecode', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'stateprovabbr', 
                      NULL, NULL, :N.productvendor, NULL, :N.stateprovabbr, 
                      NULL, NULL, :N.productvendor, NULL, :N.stateprovabbr,
                      0, 0);
      END;
/
 
Create or replace trigger USTG_statecode
       AFTER UPDATE ON statecode REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'statecode', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'stateprovabbr', 
                      NULL, NULL, :O.productvendor, NULL, :O.stateprovabbr, 
                      NULL, NULL, :N.productvendor, NULL, :N.stateprovabbr,
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_statecode
       AFTER DELETE ON statecode REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
                           stgokey1, stgokey2, stgokey3, stgokey4, stgokey5,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4, stgnkey5,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'statecode', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'productvendor', NULL, 'stateprovabbr', 
                      NULL, NULL, :O.productvendor, NULL, :O.stateprovabbr,
                      NULL, NULL, NULL, NULL, NULL,
                      0, 0);
      END;
/

Create or replace trigger ISTG_mbrgrptype
       AFTER INSERT ON mbrgrptype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'mbrgrptype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'mbrgrptype_id', NULL, NULL, NULL, 
                      :N.mbrgrptype_id, NULL, NULL, NULL, 
                      :N.mbrgrptype_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_mbrgrptype
       AFTER UPDATE ON mbrgrptype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'mbrgrptype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'mbrgrptype_id', NULL, NULL, NULL, 
                      :O.mbrgrptype_id, NULL, NULL, NULL, 
                      :N.mbrgrptype_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_mbrgrptype
       AFTER DELETE ON mbrgrptype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'mbrgrptype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'mbrgrptype_id', NULL, NULL, NULL, 
                      :O.mbrgrptype_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_attrtype
       AFTER INSERT ON attrtype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'attrtype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'attrtype_id', NULL, 
                      NULL, NULL, :N.attrtype_id, NULL, 
                      NULL, NULL, :N.attrtype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_attrtype
       AFTER UPDATE ON attrtype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'attrtype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'attrtype_id', NULL, 
                      NULL, NULL, :O.attrtype_id, NULL, 
                      NULL, NULL, :N.attrtype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_attrtype
       AFTER DELETE ON attrtype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'attrtype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'attrtype_id', NULL, 
                      NULL, NULL, :O.attrtype_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_massoc
       AFTER INSERT ON massoc REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoc', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoc_id', NULL, 
                      NULL, NULL, :N.massoc_id, NULL, 
                      NULL, NULL, :N.massoc_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_massoc
       AFTER UPDATE ON massoc REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoc', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoc_id', NULL, 
                      NULL, NULL, :O.massoc_id, NULL, 
                      NULL, NULL, :N.massoc_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_massoc
       AFTER DELETE ON massoc REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoc', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoc_id', NULL, 
                      NULL, NULL, :O.massoc_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_massoctype
       AFTER INSERT ON massoctype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoctype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoctype_id', NULL, 
                      NULL, NULL, :N.massoctype_id, NULL, 
                      NULL, NULL, :N.massoctype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_massoctype
       AFTER UPDATE ON massoctype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoctype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoctype_id', NULL, 
                      NULL, NULL, :O.massoctype_id, NULL, 
                      NULL, NULL, :N.massoctype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_massoctype
       AFTER DELETE ON massoctype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'massoctype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'massoctype_id', NULL, 
                      NULL, NULL, :O.massoctype_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_catenttype
       AFTER INSERT ON catenttype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catenttype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catenttype_id', NULL, 
                      NULL, NULL, :N.catenttype_id, NULL, 
                      NULL, NULL, :N.catenttype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_catenttype
       AFTER UPDATE ON catenttype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catenttype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catenttype_id', NULL, 
                      NULL, NULL, :O.catenttype_id, NULL, 
                      NULL, NULL, :N.catenttype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_catenttype
       AFTER DELETE ON catenttype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catenttype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catenttype_id', NULL, 
                      NULL, NULL, :O.catenttype_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_catreltype
       AFTER INSERT ON catreltype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catreltype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catreltype_id', NULL, 
                      NULL, NULL, :N.catreltype_id, NULL, 
                      NULL, NULL, :N.catreltype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_catreltype
       AFTER UPDATE ON catreltype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catreltype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catreltype_id', NULL, 
                      null, null, :O.catreltype_id, null, 
                      NULL, NULL, :N.catreltype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_catreltype
       AFTER DELETE ON catreltype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'catreltype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'catreltype_id', NULL, 
                      NULL, NULL, :O.catreltype_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/


Create or replace trigger ISTG_language
       AFTER INSERT ON language REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'language', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, NULL, NULL, 
                      :N.language_id, NULL, NULL, NULL, 
                      :N.language_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_language
       AFTER UPDATE ON language REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'language', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, NULL, NULL, 
                      :O.language_id, NULL, NULL, NULL, 
                      :N.language_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_language
       AFTER DELETE ON language REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'language', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, NULL, NULL, 
                      :O.language_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_languageds
       AFTER INSERT ON languageds REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'languageds', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', 'language_id_desc', NULL, NULL, 
                      :N.language_id, :N.language_id_desc, NULL, NULL, 
                      :N.language_id, :N.language_id_desc, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_languageds
       AFTER UPDATE ON languageds REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'languageds', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', 'language_id_desc', NULL, NULL, 
                      :O.language_id, :O.language_id_desc, NULL, NULL, 
                      :N.language_id, :N.language_id_desc, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_languageds
       AFTER DELETE ON languageds REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'languageds', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', 'language_id_desc', NULL, NULL, 
                      :O.language_id, :O.language_id_desc, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_devicefmt
       AFTER INSERT ON devicefmt REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'devicefmt', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'devicefmt_id', NULL, NULL, NULL, 
                      :N.devicefmt_id, NULL, NULL, NULL, 
                      :N.devicefmt_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_devicefmt
       AFTER UPDATE ON devicefmt REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'devicefmt', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'devicefmt_id', NULL, NULL, NULL, 
                      :O.devicefmt_id, NULL, NULL, NULL, 
                      :N.devicefmt_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_devicefmt
       AFTER DELETE ON devicefmt REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'devicefmt', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'devicefmt_id', NULL, NULL, NULL, 
                      :O.devicefmt_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_acccmdtype
       AFTER INSERT ON acccmdtype REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'acccmdtype', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'acccmdtype_id', NULL, 
                      NULL, NULL, :N.acccmdtype_id, NULL, 
                      NULL, NULL, :N.acccmdtype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_acccmdtype
       AFTER UPDATE ON acccmdtype REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'acccmdtype', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'acccmdtype_id', NULL, 
                      NULL, NULL, :O.acccmdtype_id, NULL, 
                      NULL, NULL, :N.acccmdtype_id, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_acccmdtype
       AFTER DELETE ON acccmdtype REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'acccmdtype', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, 'acccmdtype_id', NULL, 
                      NULL, NULL, :O.acccmdtype_id, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

 
Create or replace trigger USTG_site
       AFTER UPDATE ON site REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'site', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      NULL, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/


Create or replace trigger ISTG_storecgry
       AFTER INSERT ON storecgry REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storecgry', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'storecgry_id', NULL, NULL, NULL, 
                      :N.storecgry_id, NULL, NULL, NULL, 
                      :N.storecgry_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_storecgry
       AFTER UPDATE ON storecgry REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storecgry', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'storecgry_id', NULL, NULL, NULL, 
                      :O.storecgry_id, NULL, NULL, NULL, 
                      :N.storecgry_id, NULL, NULL, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_storecgry
       AFTER DELETE ON storecgry REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storecgry', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'storecgry_id', NULL, NULL, NULL, 
                      :O.storecgry_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_storegrp
       AFTER INSERT ON storegrp REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.storegrp_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      0, 0);
        ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'I', 
                      NULL, 1,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      0, 0);
        END IF;
      END;
/
 
Create or replace trigger USTG_storegrp
       AFTER UPDATE ON storegrp REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.storegrp_id = 0 THEN 
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :O.storegrp_id, NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      0, 0);
        ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'U', 
                      NULL, 1,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :O.storegrp_id, NULL, NULL, NULL, 
                      :N.storegrp_id, NULL, NULL, NULL, 
                      0, 0);

        END IF;
      END;
/
 
Create or replace trigger DSTG_storegrp
       AFTER DELETE ON storegrp REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :O.storegrp_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :O.storegrp_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       ELSE
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'storegrp', 'D', 
                      NULL, 1,
                      NULL, NULL,
                      'storegrp_id', NULL, NULL, NULL, 
                      :O.storegrp_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/


Create or replace trigger ISTG_ffmcenter
       AFTER INSERT ON ffmcenter REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.ffmcenter_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'I', 
                      NULL, 1,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger USTG_ffmcenter
       AFTER UPDATE ON ffmcenter REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.ffmcenter_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :O.ffmcenter_id, NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'U', 
                      NULL, 1,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :O.ffmcenter_id, NULL, NULL, NULL, 
                      :N.ffmcenter_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger DSTG_ffmcenter
       AFTER DELETE ON ffmcenter REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :O.ffmcenter_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :O.ffmcenter_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'ffmcenter', 'D', 
                      NULL, 1,
                      NULL, NULL,
                      'ffmcenter_id', NULL, NULL, NULL, 
                      :O.ffmcenter_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/


Create or replace trigger ISTG_store
       AFTER INSERT ON store REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.store_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'I', 
                      NULL, 1,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger USTG_store
       AFTER UPDATE ON store REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.store_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :O.store_id, NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'U', 
                      NULL, 1,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :O.store_id, NULL, NULL, NULL, 
                      :N.store_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger DSTG_store
       AFTER DELETE ON store REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :O.store_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :O.store_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'store', 'D', 
                      NULL, 1,
                      NULL, NULL,
                      'store_id', NULL, NULL, NULL, 
                      :O.store_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/

Create or replace trigger ISTG_shipmode
       AFTER INSERT ON shipmode REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.shipmode_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'I', 
                      NULL, 1,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger USTG_shipmode
       AFTER UPDATE ON shipmode REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :N.shipmode_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :O.shipmode_id, NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'U', 
                      NULL, 1,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :O.shipmode_id, NULL, NULL, NULL, 
                      :N.shipmode_id, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/
 
Create or replace trigger DSTG_shipmode
       AFTER DELETE ON shipmode REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
        IF :O.shipmode_id = 0 THEN
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :O.shipmode_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       ELSE
             INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'shipmode', 'D', 
                      NULL, 1,
                      NULL, NULL,
                      'shipmode_id', NULL, NULL, NULL, 
                      :O.shipmode_id, NULL, NULL, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
       END IF;
      END;
/




Create or replace trigger ISTG_catgroup
               AFTER INSERT ON catgroup REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                  maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename='staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgroup', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', NULL, NULL, NULL,
                   :N.catgroup_id, NULL, NULL, NULL,
                   :N.catgroup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgroup
               AFTER UPDATE ON catgroup REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                  maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES (maxkey,
                   sysdate, 'catgroup', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', NULL, NULL, NULL,
                   :O.catgroup_id, NULL, NULL, NULL,
                   :N.catgroup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgroup
               AFTER DELETE ON catgroup REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                  maxkey integer;                
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgroup', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', NULL, NULL, NULL,
                   :O.catgroup_id, NULL, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_catgrpattr
               AFTER INSERT ON catgrpattr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpattr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgrpattr_id', 'language_id', NULL, NULL,
                   :N.catgrpattr_id, :N.language_id, NULL, NULL,
                   :N.catgrpattr_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_catgrpattr
               AFTER UPDATE ON catgrpattr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpattr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgrpattr_id', 'language_id', NULL, NULL,
                   :O.catgrpattr_id, :O.language_id, NULL, NULL,
                   :N.catgrpattr_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_catgrpattr
               AFTER DELETE ON catgrpattr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpattr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgrpattr_id', 'language_id', NULL, NULL,
                   :O.catgrpattr_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catgrpdesc
               AFTER INSERT ON catgrpdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'language_id', NULL, NULL,
                   :N.catgroup_id, :N.language_id, NULL, NULL,
                   :N.catgroup_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgrpdesc
               AFTER UPDATE ON catgrpdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES (maxkey,
                   sysdate, 'catgrpdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'language_id', NULL, NULL,
                   :O.catgroup_id, :O.language_id, NULL, NULL,
                   :N.catgroup_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_catgrpdesc
               AFTER DELETE ON catgrpdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES (maxkey,
                   sysdate, 'catgrpdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'language_id', NULL, NULL,
                   :O.catgroup_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,      NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_dispcgprel
               AFTER INSERT ON dispcgprel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispcgprel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'dispcgprel_id', NULL, NULL, NULL,
                   :N.dispcgprel_id, NULL, NULL, NULL,
                   :N.dispcgprel_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_dispcgprel
               AFTER UPDATE ON dispcgprel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispcgprel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'dispcgprel_id', NULL, NULL, NULL,
                   :O.dispcgprel_id, NULL, NULL, NULL,
                   :N.dispcgprel_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_dispcgprel
               AFTER DELETE ON dispcgprel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispcgprel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'dispcgprel_id', NULL, NULL, NULL,
                   :O.dispcgprel_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,       NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_catalog
               AFTER INSERT ON catalog REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalog', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', NULL, NULL, NULL,
                   NULL,
                   :N.catalog_id, NULL, NULL, NULL,
                   NULL,
                   :N.catalog_id, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catalog
               AFTER UPDATE ON catalog REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalog', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', NULL, NULL, NULL,
                   NULL,
                   :O.catalog_id, NULL, NULL, NULL,
                   NULL,
                   :N.catalog_id, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_catalog
               AFTER DELETE ON catalog REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalog', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', NULL, NULL, NULL,
                   NULL,
                   :O.catalog_id, NULL, NULL, NULL,
                   NULL,
                   NULL, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catalogdsc
               AFTER INSERT ON catalogdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalogdsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'language_id', NULL, NULL,
                   NULL,
                   :N.catalog_id, :N.language_id, NULL, NULL,
                   NULL,
                   :N.catalog_id, :N.language_id, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_catalogdsc
               AFTER UPDATE ON catalogdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalogdsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'language_id', NULL, NULL,
                   NULL,
                   :O.catalog_id, :O.language_id, NULL, NULL,
                   NULL,
                   :N.catalog_id, :N.language_id, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catalogdsc
               AFTER DELETE ON catalogdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catalogdsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'language_id', NULL, NULL,
                   NULL,
                   :O.catalog_id, :O.language_id, NULL, NULL,
                   NULL,
                   NULL, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_cattogrp
               AFTER INSERT ON cattogrp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cattogrp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', NULL, NULL,
                   :N.catalog_id, :N.catgroup_id, NULL, NULL,
                   :N.catalog_id, :N.catgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_cattogrp
               AFTER UPDATE ON cattogrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cattogrp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', NULL, NULL,
                   :O.catalog_id, :O.catgroup_id, NULL, NULL,
                   :N.catalog_id, :N.catgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_cattogrp
               AFTER DELETE ON cattogrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cattogrp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', NULL, NULL,
                   :O.catalog_id, :O.catgroup_id, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catgrprel
               AFTER INSERT ON catgrprel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrprel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id_parent', 'catgroup_id_child', NULL, 'catalog_id',
                   :N.catgroup_id_parent, :N.catgroup_id_child, NULL, :N.catalog_id,
                   :N.catgroup_id_parent, :N.catgroup_id_child, NULL, :N.catalog_id,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgrprel
               AFTER UPDATE ON catgrprel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrprel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id_parent', 'catgroup_id_child', NULL, 'catalog_id',
                   :O.catgroup_id_parent, :O.catgroup_id_child, NULL, :O.catalog_id,
                   :N.catgroup_id_parent, :N.catgroup_id_child, NULL, :N.catalog_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgrprel
               AFTER DELETE ON catgrprel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrprel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id_parent', 'catgroup_id_child', NULL, 'catalog_id',
                   :O.catgroup_id_parent, :O.catgroup_id_child, NULL, :O.catalog_id,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_catentry
               AFTER INSERT ON catentry REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentry', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catentry
               AFTER UPDATE ON catentry REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;      
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentry', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catentry
               AFTER DELETE ON catentry REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentry', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catentdesc
               AFTER INSERT ON catentdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', 'language_id', NULL, NULL,
                   :N.catentry_id, :N.language_id, NULL, NULL,
                   :N.catentry_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catentdesc
               AFTER UPDATE ON catentdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', 'language_id', NULL, NULL,
                   :O.catentry_id, :O.language_id, NULL, NULL,
                   :N.catentry_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catentdesc
               AFTER DELETE ON catentdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', 'language_id', NULL, NULL,
                   :O.catentry_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catentrel
               AFTER INSERT ON catentrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentrel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_child', 'catreltype_id', NULL,
                   :N.catentry_id_parent, :N.catentry_id_child, :N.catreltype_id, NULL,
                   :N.catentry_id_parent, :N.catentry_id_child, :N.catreltype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catentrel
               AFTER UPDATE ON catentrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentrel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_child', 'catreltype_id', NULL,
                   :O.catentry_id_parent, :O.catentry_id_child, :O.catreltype_id, NULL,
                   :N.catentry_id_parent, :N.catentry_id_child, :N.catreltype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catentrel
               AFTER DELETE ON catentrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentrel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_child', 'catreltype_id', NULL,
                   :O.catentry_id_parent, :O.catentry_id_child, :O.catreltype_id, NULL,
                   NULL, NULL, NULL,             NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catentship
               AFTER INSERT ON catentship REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentship', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catentship
               AFTER UPDATE ON catentship REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentship', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catentship
               AFTER DELETE ON catentship REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentship', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_listprice
               AFTER INSERT ON listprice REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'listprice', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, 'currency', NULL,
                   NULL,
                   :N.catentry_id, NULL, :N.currency, NULL,
                   NULL,
                   :N.catentry_id, NULL, :N.currency, NULL,
                   NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_listprice
               AFTER UPDATE ON listprice REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'listprice', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, 'currency', NULL,
                   NULL,
                   :O.catentry_id, NULL, 'currency', NULL,
                   NULL,
                   :N.catentry_id, NULL, :N.currency, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_listprice
               AFTER DELETE ON listprice REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
                                        stgkey5name, 
					stgokey1, stgokey2, stgokey3, stgokey4,
                                        stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                        stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'listprice', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, 'currency', NULL,
                   NULL,
                   :O.catentry_id, NULL, :O.currency, NULL,
                   NULL,
                   NULL, NULL, NULL, NULL,
                   NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catgpenrel
               AFTER INSERT ON catgpenrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpenrel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'catentry_id', NULL, 'catalog_id',
                   :N.catgroup_id, :N.catentry_id, NULL, :N.catalog_id,
                   :N.catgroup_id, :N.catentry_id, NULL, :N.catalog_id,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgpenrel
               AFTER UPDATE ON catgpenrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpenrel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'catentry_id', NULL, 'catalog_id',
                   :O.catgroup_id, :O.catentry_id, NULL, :O.catalog_id,
                   :N.catgroup_id, :N.catentry_id, NULL, :N.catalog_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgpenrel
               AFTER DELETE ON catgpenrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpenrel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgroup_id', 'catentry_id', NULL, 'catalog_id',
                   :O.catgroup_id, :O.catentry_id, NULL, :O.catalog_id,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_attribute
               AFTER INSERT ON attribute REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attribute', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'attribute_id', 'language_id', NULL, NULL,
                   :N.attribute_id, :N.language_id, NULL, NULL,
                   :N.attribute_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_attribute
               AFTER UPDATE ON attribute REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attribute', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'attribute_id', 'language_id', NULL, NULL,
                   :O.attribute_id, :O.language_id, NULL, NULL,
                   :N.attribute_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_attribute
               AFTER DELETE ON attribute REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attribute', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'attribute_id', 'language_id', NULL, NULL,
                   :O.attribute_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_attrvalue
               AFTER INSERT ON attrvalue REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attrvalue', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'attrvalue_id', 'language_id', NULL, NULL,
                   :N.attrvalue_id, :N.language_id, NULL, NULL,
                   :N.attrvalue_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_attrvalue
               AFTER UPDATE ON attrvalue REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attrvalue', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'attrvalue_id', 'language_id', NULL, NULL,
                   :O.attrvalue_id, :O.language_id, NULL, NULL,
                   :N.attrvalue_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_attrvalue
               AFTER DELETE ON attrvalue REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attrvalue', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'attrvalue_id', 'language_id', NULL, NULL,
                   :O.attrvalue_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,          NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_massoccece
               AFTER INSERT ON massoccece REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massoccece', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'massoccece_id', NULL, NULL, NULL,
                   :N.massoccece_id, NULL, NULL, NULL,
                   :N.massoccece_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_massoccece
               AFTER UPDATE ON massoccece REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massoccece', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'massoccece_id', NULL, NULL, NULL,
                   :O.massoccece_id, NULL, NULL, NULL,
                   :N.massoccece_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_massoccece
               AFTER DELETE ON massoccece REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massoccece', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'massoccece_id', NULL, NULL, NULL,
                   :O.massoccece_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,          NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_massocgpgp
               AFTER INSERT ON massocgpgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massocgpgp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'massocgpgp_id', NULL, NULL, NULL,
                   :N.massocgpgp_id, NULL, NULL, NULL,
                   :N.massocgpgp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_massocgpgp
               AFTER UPDATE ON massocgpgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massocgpgp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'massocgpgp_id', NULL, NULL, NULL,
                   :O.massocgpgp_id, NULL, NULL, NULL,
                   :N.massocgpgp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_massocgpgp
               AFTER DELETE ON massocgpgp REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'massocgpgp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'massocgpgp_id', NULL, NULL, NULL,
                   :O.massocgpgp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_contract
               AFTER INSERT ON contract REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'contract', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', NULL, NULL, NULL,
                   :N.contract_id, NULL, NULL, NULL,
                   :N.contract_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_contract
               AFTER UPDATE ON contract REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'contract', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', NULL, NULL, NULL,
                   :O.contract_id, NULL, NULL, NULL,
                   :N.contract_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_contract
               AFTER DELETE ON contract REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'contract', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', NULL, NULL, NULL,
                   :O.contract_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_storelang
               AFTER INSERT ON storelang REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storelang', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, NULL,
                   :N.storeent_id, :N.language_id, NULL, NULL,
                   :N.storeent_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storelang
               AFTER UPDATE ON storelang REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storelang', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, NULL,
                   :O.storeent_id, :O.language_id, NULL, NULL,
                   :N.storeent_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storelang
               AFTER DELETE ON storelang REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storelang', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, NULL,
                   :O.storeent_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_storlangds
               AFTER INSERT ON storlangds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storlangds', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, 'language_id_desc',
                   :N.storeent_id, :N.language_id, NULL, :N.language_id_desc,
                   :N.storeent_id, :N.language_id, NULL, :N.language_id_desc,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storlangds
               AFTER UPDATE ON storlangds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storlangds', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, 'language_id_desc',
                   :O.storeent_id, :O.language_id, NULL, :O.language_id_desc,
                   :N.storeent_id, :N.language_id, NULL, :N.language_id_desc,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storlangds
               AFTER DELETE ON storlangds REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storlangds', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', NULL, 'language_id_desc',
                   :O.storeent_id, :O.language_id, NULL, :O.language_id_desc,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_storembrgp
               AFTER INSERT ON storembrgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storembrgp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', 'mbrgrp_id', NULL, NULL,
                   :N.store_id, :N.mbrgrp_id, NULL, NULL,
                   :N.store_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storembrgp
               AFTER UPDATE ON storembrgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storembrgp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', 'mbrgrp_id', NULL, NULL,
                   :O.store_id, :O.mbrgrp_id, NULL, NULL,
                   :N.store_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storembrgp
               AFTER DELETE ON storembrgp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storembrgp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', 'mbrgrp_id', NULL, NULL,
                   :O.store_id, :O.mbrgrp_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/





Create or replace trigger ISTG_storecat
               AFTER INSERT ON storecat REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecat', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catalog_id', NULL, NULL,
                   :N.storeent_id, :N.catalog_id, NULL, NULL,
                   :N.storeent_id, :N.catalog_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storecat
               AFTER UPDATE ON storecat REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecat', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catalog_id', NULL, NULL,
                   :O.storeent_id, :O.catalog_id, NULL, NULL,
                   :N.storeent_id, :N.catalog_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storecat
               AFTER DELETE ON storecat REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecat', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catalog_id', NULL, NULL,
                   :O.storeent_id, :O.catalog_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_storecent
               AFTER INSERT ON storecent REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecent', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catentry_id', NULL, NULL,
                   :N.storeent_id, :N.catentry_id, NULL, NULL,
                   :N.storeent_id, :N.catentry_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_storecent
               AFTER UPDATE ON storecent REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecent', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catentry_id', NULL, NULL,
                   :O.storeent_id, :O.catentry_id, NULL, NULL,
                   :N.storeent_id, :N.catentry_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_storecent
               AFTER DELETE ON storecent REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecent', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catentry_id', NULL, NULL,
                   :O.storeent_id, :O.catentry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_storecgrp
               AFTER INSERT ON storecgrp REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecgrp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catgroup_id', NULL, NULL,
                   :N.storeent_id, :N.catgroup_id, NULL, NULL,
                   :N.storeent_id, :N.catgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storecgrp
               AFTER UPDATE ON storecgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecgrp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catgroup_id', NULL, NULL,
                   :O.storeent_id, :O.catgroup_id, NULL, NULL,
                   :N.storeent_id, :N.catgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storecgrp
               AFTER DELETE ON storecgrp REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecgrp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'catgroup_id', NULL, NULL,
                   :O.storeent_id, :O.catgroup_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_dispentrel
               AFTER INSERT ON dispentrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispentrel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'dispentrel_id', NULL, NULL, NULL,
                   :N.dispentrel_id, NULL, NULL, NULL,
                   :N.dispentrel_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_dispentrel
               AFTER UPDATE ON dispentrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispentrel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'dispentrel_id', NULL, NULL, NULL,
                   :O.dispentrel_id, NULL, NULL, NULL,
                   :N.dispentrel_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_dispentrel
               AFTER DELETE ON dispentrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'dispentrel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'dispentrel_id', NULL, NULL, NULL,
                   :O.dispentrel_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_jurstgroup
               AFTER INSERT ON jurstgroup REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgroup', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'jurstgroup_id', NULL, NULL, NULL,
                   :N.jurstgroup_id, NULL, NULL, NULL,
                   :N.jurstgroup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_jurstgroup
               AFTER UPDATE ON jurstgroup REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgroup', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'jurstgroup_id', NULL, NULL, NULL,
                   :O.jurstgroup_id, NULL, NULL, NULL,
                   :N.jurstgroup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_jurstgroup
               AFTER DELETE ON jurstgroup REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgroup', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'jurstgroup_id', NULL, NULL, NULL,
                   :O.jurstgroup_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_jurst
               AFTER INSERT ON jurst REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE 
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurst', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', NULL, NULL, NULL,
                   :N.jurst_id, NULL, NULL, NULL,
                   :N.jurst_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_jurst
               AFTER UPDATE ON jurst REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurst', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', NULL, NULL, NULL,
                   :O.jurst_id, NULL, NULL, NULL,
                   :N.jurst_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_jurst
               AFTER DELETE ON jurst REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurst', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', NULL, NULL, NULL,
                   :O.jurst_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_jurstgprel
               AFTER INSERT ON jurstgprel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgprel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', 'jurstgroup_id', NULL, NULL,
                   :N.jurst_id, :N.jurstgroup_id, NULL, NULL,
                   :N.jurst_id, :N.jurstgroup_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_jurstgprel
               AFTER UPDATE ON jurstgprel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgprel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', 'jurstgroup_id', NULL, NULL,
                   :O.jurst_id, :O.jurstgroup_id, NULL, NULL,
                   :N.jurst_id, :N.jurstgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_jurstgprel
               AFTER DELETE ON jurstgprel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'jurstgprel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'jurst_id', 'jurstgroup_id', NULL, NULL,
                   :O.jurst_id, :O.jurstgroup_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/




Create or replace trigger ISTG_shpmodedsc
               AFTER INSERT ON shpmodedsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                  maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpmodedsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'shipmode_id', 'language_id', NULL, NULL,
                   :N.shipmode_id, :N.language_id, NULL, NULL,
                   :N.shipmode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_shpmodedsc
               AFTER UPDATE ON shpmodedsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpmodedsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'shipmode_id', 'language_id', NULL, NULL,
                   :O.shipmode_id, :O.language_id, NULL, NULL,
                   :N.shipmode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_shpmodedsc
               AFTER DELETE ON shpmodedsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpmodedsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'shipmode_id', 'language_id', NULL, NULL,
                   :O.shipmode_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_shparrange
               AFTER INSERT ON shparrange REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparrange', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', NULL, NULL, NULL,
                   :N.shparrange_id, NULL, NULL, NULL,
                   :N.shparrange_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_shparrange
               AFTER UPDATE ON shparrange REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparrange', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', NULL, NULL, NULL,
                   :O.shparrange_id, NULL, NULL, NULL,
                   :N.shparrange_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_shparrange
               AFTER DELETE ON shparrange REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparrange', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', NULL, NULL, NULL,
                   :O.shparrange_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_calmethod
               AFTER INSERT ON calmethod REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calmethod', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calmethod_id', NULL, NULL, NULL,
                   :N.calmethod_id, NULL, NULL, NULL,
                   :N.calmethod_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calmethod
               AFTER UPDATE ON calmethod REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calmethod', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calmethod_id', NULL, NULL, NULL,
                   :O.calmethod_id, NULL, NULL, NULL,
                   :N.calmethod_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calmethod
               AFTER DELETE ON calmethod REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calmethod', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calmethod_id', NULL, NULL, NULL,
                   :O.calmethod_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_txcdclass
               AFTER INSERT ON txcdclass REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'txcdclass', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'txcdclass_id', NULL, NULL, NULL,
                   :N.txcdclass_id, NULL, NULL, NULL,
                   :N.txcdclass_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_txcdclass
               AFTER UPDATE ON txcdclass REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'txcdclass', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'txcdclass_id', NULL, NULL, NULL,
                   :O.txcdclass_id, NULL, NULL, NULL,
                   :N.txcdclass_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_txcdclass
               AFTER DELETE ON txcdclass REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'txcdclass', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'txcdclass_id', NULL, NULL, NULL,
                   :O.txcdclass_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_taxcgry
               AFTER INSERT ON taxcgry REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgry', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', NULL, NULL, NULL,
                   :N.taxcgry_id, NULL, NULL, NULL,
                   :N.taxcgry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_taxcgry
               AFTER UPDATE ON taxcgry REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgry', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', NULL, NULL, NULL,
                   :O.taxcgry_id, NULL, NULL, NULL,
                   :N.taxcgry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_taxcgry
               AFTER DELETE ON taxcgry REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgry', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', NULL, NULL, NULL,
                   :O.taxcgry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_taxcgryds
               AFTER INSERT ON taxcgryds REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgryds', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', 'language_id', NULL, NULL,
                   :N.taxcgry_id, :N.language_id, NULL, NULL,
                   :N.taxcgry_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_taxcgryds
               AFTER UPDATE ON taxcgryds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgryds', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', 'language_id', NULL, NULL,
                   :O.taxcgry_id, :O.language_id, NULL, NULL,
                   :N.taxcgry_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_taxcgryds
               AFTER DELETE ON taxcgryds REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxcgryds', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'taxcgry_id', 'language_id', NULL, NULL,
                   :O.taxcgry_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calcode
               AFTER INSERT ON calcode REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                  maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcode', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', NULL, NULL, NULL,
                   :N.calcode_id, NULL, NULL, NULL,
                   :N.calcode_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calcode
               AFTER UPDATE ON calcode REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcode', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', NULL, NULL, NULL,
                   :O.calcode_id, NULL, NULL, NULL,
                   :N.calcode_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calcode
               AFTER DELETE ON calcode REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcode', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', NULL, NULL, NULL,
                   :O.calcode_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_calcodedsc
               AFTER INSERT ON calcodedsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                  maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodedsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'language_id', NULL, NULL,
                   :N.calcode_id, :N.language_id, NULL, NULL,
                   :N.calcode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calcodedsc
               AFTER UPDATE ON calcodedsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodedsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'language_id', NULL, NULL,
                   :O.calcode_id, :O.language_id, NULL, NULL,
                   :N.calcode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calcodedsc
               AFTER DELETE ON calcodedsc REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodedsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'language_id', NULL, NULL,
                   :O.calcode_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calrule
               AFTER INSERT ON calrule REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrule', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', NULL, NULL, NULL,
                   :N.calrule_id, NULL, NULL, NULL,
                   :N.calrule_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calrule
               AFTER UPDATE ON calrule REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrule', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', NULL, NULL, NULL,
                   :O.calrule_id, NULL, NULL, NULL,
                   :N.calrule_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calrule
               AFTER DELETE ON calrule REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrule', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', NULL, NULL, NULL,
                   :O.calrule_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calscale
               AFTER INSERT ON calscale REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscale', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', NULL, NULL, NULL,
                   :N.calscale_id, NULL, NULL, NULL,
                   :N.calscale_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calscale
               AFTER UPDATE ON calscale REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscale', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', NULL, NULL, NULL,
                   :O.calscale_id, NULL, NULL, NULL,
                   :N.calscale_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calscale
               AFTER DELETE ON calscale REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscale', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', NULL, NULL, NULL,
                   :O.calscale_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calrange
               AFTER INSERT ON calrange REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrange', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calrange_id', NULL, NULL, NULL,
                   :N.calrange_id, NULL, NULL, NULL,
                   :N.calrange_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calrange
               AFTER UPDATE ON calrange REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrange', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calrange_id', NULL, NULL, NULL,
                   :O.calrange_id, NULL, NULL, NULL,
                   :N.calrange_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calrange
               AFTER DELETE ON calrange REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrange', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calrange_id', NULL, NULL, NULL,
                   :O.calrange_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_crulescale
               AFTER INSERT ON crulescale REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'crulescale', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'calrule_id', NULL, NULL,
                   :N.calscale_id, :N.calrule_id, NULL, NULL,
                   :N.calscale_id, :N.calrule_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_crulescale
               AFTER UPDATE ON crulescale REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                    maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'crulescale', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'calrule_id', NULL, NULL,
                   :O.calscale_id, :O.calrule_id, NULL, NULL,
                   :N.calscale_id, :N.calrule_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_crulescale
               AFTER DELETE ON crulescale REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'crulescale', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'calrule_id', NULL, NULL,
                   :O.calscale_id, :O.calrule_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calrulemgp
               AFTER INSERT ON calrulemgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrulemgp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'mbrgrp_id', NULL, NULL,
                   :N.calrule_id, :N.mbrgrp_id, NULL, NULL,
                   :N.calrule_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calrulemgp
               AFTER UPDATE ON calrulemgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrulemgp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'mbrgrp_id', NULL, NULL,
                   :O.calrule_id, :O.mbrgrp_id, NULL, NULL,
                   :N.calrule_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calrulemgp
               AFTER DELETE ON calrulemgp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrulemgp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'mbrgrp_id', NULL, NULL,
                   :O.calrule_id, :O.mbrgrp_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calrlookup
               AFTER INSERT ON calrlookup REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrlookup', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calrlookup_id', NULL, NULL, NULL,
                   :N.calrlookup_id, NULL, NULL, NULL,
                   :N.calrlookup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calrlookup
               AFTER UPDATE ON calrlookup REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrlookup', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calrlookup_id', NULL, NULL, NULL,
                   :O.calrlookup_id, NULL, NULL, NULL,
                   :N.calrlookup_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calrlookup
               AFTER DELETE ON calrlookup REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calrlookup', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calrlookup_id', NULL, NULL, NULL,
                   :O.calrlookup_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calcodtxex
               AFTER INSERT ON calcodtxex REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodtxex', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'taxcgry_id', NULL, NULL,
                   :N.calcode_id, :N.taxcgry_id, NULL, NULL, 
                   :N.calcode_id, :N.taxcgry_id, NULL, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger USTG_calcodtxex
               AFTER UPDATE ON calcodtxex REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodtxex', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'taxcgry_id', NULL, NULL, 
                   :O.calcode_id, :O.taxcgry_id, NULL, NULL, 
                   :N.calcode_id, :N.taxcgry_id, NULL, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calcodtxex
               AFTER DELETE ON calcodtxex REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodtxex', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'taxcgry_id', NULL, NULL, 
                   :O.calcode_id, :O.taxcgry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_shpjcrule
               AFTER INSERT ON shpjcrule REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE 
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpjcrule', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'shpjcrule_id', NULL, NULL, NULL,
                   :N.shpjcrule_id, NULL, NULL, NULL,
                   :N.shpjcrule_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_shpjcrule
               AFTER UPDATE ON shpjcrule REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpjcrule', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'shpjcrule_id', NULL, NULL, NULL,
                   :O.shpjcrule_id, NULL, NULL, NULL,
                   :N.shpjcrule_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_shpjcrule
               AFTER DELETE ON shpjcrule REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shpjcrule', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'shpjcrule_id', NULL, NULL, NULL,
                   :O.shpjcrule_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_calscaleds
               AFTER INSERT ON calscaleds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscaleds', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'language_id', NULL, NULL,
                   :N.calscale_id, :N.language_id, NULL, NULL,
                   :N.calscale_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calscaleds
               AFTER UPDATE ON calscaleds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscaleds', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'language_id', NULL, NULL,
                   :O.calscale_id, :O.language_id, NULL, NULL,
                   :N.calscale_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calscaleds
               AFTER DELETE ON calscaleds REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calscaleds', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calscale_id', 'language_id', NULL, NULL,
                   :O.calscale_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_taxjcrule
               AFTER INSERT ON taxjcrule REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxjcrule', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'ffmcenter_id', NULL, 'jurstgroup_id', 
                   :N.calrule_id, :N.ffmcenter_id, NULL, :N.jurstgroup_id, 
                   :N.calrule_id, :N.ffmcenter_id, NULL, :N.jurstgroup_id, 
                   0, 0 );
               END;
/

Create or replace trigger USTG_taxjcrule
               AFTER UPDATE ON taxjcrule REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxjcrule', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'ffmcenter_id', NULL, 'jurstgroup_id', 
                   :O.calrule_id, :O.ffmcenter_id, NULL, :O.jurstgroup_id, 
                   :N.calrule_id, :N.ffmcenter_id, NULL, :N.jurstgroup_id, 
                   0, 0 );
               END;
/

Create or replace trigger DSTG_taxjcrule
               AFTER DELETE ON taxjcrule REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'taxjcrule', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calrule_id', 'ffmcenter_id', NULL, 'jurstgroup_id', 
                   :O.calrule_id, :O.ffmcenter_id, NULL, :O.jurstgroup_id, 
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_tdpscncntr
               AFTER INSERT ON tdpscncntr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tdpscncntr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'contract_id', NULL, NULL,
                   :N.tradeposcn_id, :N.contract_id, NULL, NULL,
                   :N.tradeposcn_id, :N.contract_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tdpscncntr
               AFTER UPDATE ON tdpscncntr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tdpscncntr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'contract_id', NULL, NULL,
                   :O.tradeposcn_id, :O.contract_id, NULL, NULL,
                   :N.tradeposcn_id, :N.contract_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tdpscncntr
               AFTER DELETE ON tdpscncntr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tdpscncntr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'contract_id', NULL, NULL,
                   :O.tradeposcn_id, :O.contract_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_mgptrdpscn
               AFTER INSERT ON mgptrdpscn REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mgptrdpscn', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'mbrgrp_id', NULL, NULL,
                   :N.tradeposcn_id, :N.mbrgrp_id, NULL, NULL,
                   :N.tradeposcn_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_mgptrdpscn
               AFTER UPDATE ON mgptrdpscn REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mgptrdpscn', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'mbrgrp_id', NULL, NULL,
                   :O.tradeposcn_id, :O.mbrgrp_id, NULL, NULL,
                   :N.tradeposcn_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_mgptrdpscn
               AFTER DELETE ON mgptrdpscn REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mgptrdpscn', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', 'mbrgrp_id', NULL, NULL,
                   :O.tradeposcn_id, :O.mbrgrp_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_offer
               AFTER INSERT ON offer REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offer', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, NULL, NULL,
                   :N.offer_id, NULL, NULL, NULL,
                   :N.offer_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_offer
               AFTER UPDATE ON offer REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offer', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, NULL, NULL,
                   :O.offer_id, NULL, NULL, NULL,
                   :N.offer_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_offer
               AFTER DELETE ON offer REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offer', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, NULL, NULL,
                   :O.offer_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_offerdesc
               AFTER INSERT ON offerdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', 'language_id', NULL, NULL,
                   :N.offer_id, :N.language_id, NULL, NULL,
                   :N.offer_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_offerdesc
               AFTER UPDATE ON offerdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', 'language_id', NULL, NULL,
                   :O.offer_id, :O.language_id, NULL, NULL,
                   :N.offer_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_offerdesc
               AFTER DELETE ON offerdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', 'language_id', NULL, NULL,
                   :O.offer_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_offerprice
               AFTER INSERT ON offerprice REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerprice', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, 'currency', NULL,
                   :N.offer_id, NULL, :N.currency, NULL,
                   :N.offer_id, NULL, :N.currency, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_offerprice
               AFTER UPDATE ON offerprice REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerprice', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, 'currency', NULL,
                   :O.offer_id, NULL, :O.currency, NULL,
                   :N.offer_id, NULL, :N.currency, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_offerprice
               AFTER DELETE ON offerprice REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'offerprice', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'offer_id', NULL, 'currency', NULL,
                   :O.offer_id, NULL, :O.currency, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_catcntr
               AFTER INSERT ON catcntr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catcntr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'contract_id', NULL, NULL,
                   :N.catalog_id, :N.contract_id, NULL, NULL,
                   :N.catalog_id, :N.contract_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_catcntr
               AFTER UPDATE ON catcntr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catcntr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'contract_id', NULL, NULL,
                   :O.catalog_id, :O.contract_id, NULL, NULL,
                   :N.catalog_id, :N.contract_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catcntr
               AFTER DELETE ON catcntr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catcntr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'contract_id', NULL, NULL,
                   :O.catalog_id, :O.contract_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_qtyformat
               AFTER INSERT ON qtyformat REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyformat', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'qtyunit_id', NULL, 
                   :N.storeent_id, NULL, :N.qtyunit_id, NULL, 
                   :N.storeent_id, NULL, :N.qtyunit_id, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger USTG_qtyformat
               AFTER UPDATE ON qtyformat REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyformat', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'qtyunit_id', NULL, 
                   :O.storeent_id, NULL, :O.qtyunit_id, NULL, 
                   :N.storeent_id, NULL, :N.qtyunit_id, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger DSTG_qtyformat
               AFTER DELETE ON qtyformat REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyformat', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'qtyunit_id', NULL, 
                   :O.storeent_id, NULL, :O.qtyunit_id, NULL, 
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_qtyfmtdesc
               AFTER INSERT ON qtyfmtdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyfmtdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'qtyunit_id', NULL, 
                   :N.storeent_id, :N.language_id, :N.qtyunit_id, NULL, 
                   :N.storeent_id, :N.language_id, :N.qtyunit_id, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger USTG_qtyfmtdesc
               AFTER UPDATE ON qtyfmtdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyfmtdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'qtyunit_id', NULL,
                   :O.storeent_id, :O.language_id, :O.qtyunit_id, NULL, 
                   :N.storeent_id, :N.language_id, :N.qtyunit_id, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_qtyfmtdesc
               AFTER DELETE ON qtyfmtdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'qtyfmtdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'qtyunit_id', NULL, 
                   :O.storeent_id, :O.language_id, :O.qtyunit_id, NULL, 
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_curformat
               AFTER INSERT ON curformat REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curformat', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'setccurr', NULL, 
                   :N.storeent_id, NULL, :N.setccurr, NULL, 
                   :N.storeent_id, NULL, :N.setccurr, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger USTG_curformat
               AFTER UPDATE ON curformat REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curformat', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'setccurr', NULL, 
                   :O.storeent_id, NULL, :O.setccurr, NULL, 
                   :N.storeent_id, NULL, :N.setccurr, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger DSTG_curformat
               AFTER DELETE ON curformat REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curformat', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'setccurr', NULL, 
                   :O.storeent_id, NULL, :O.setccurr, NULL, 
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_curcvlist
               AFTER INSERT ON curcvlist REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
					stgokey1, stgokey2, stgokey3, stgokey4, stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4, stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curcvlist', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'displayseq', 'storeent_id', 'currstr', NULL, 'countervaluecurr',
                   :N.displayseq, :N.storeent_id, :N.currstr, NULL, :N.countervaluecurr, 
                   :N.displayseq, :N.storeent_id, :N.currstr, NULL, :N.countervaluecurr,
                   0, 0 );
               END;
/

Create or replace trigger USTG_curcvlist
               AFTER UPDATE ON curcvlist REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
					stgokey1, stgokey2, stgokey3, stgokey4, stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4, stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curcvlist', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'displayseq', 'storeent_id', 'currstr', NULL, 'countervaluecurr',
                   :O.displayseq, :O.storeent_id, :O.currstr, NULL, :O.countervaluecurr, 
                   :N.displayseq, :N.storeent_id, :N.currstr, NULL, :N.countervaluecurr,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_curcvlist
               AFTER DELETE ON curcvlist REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, stgkey5name,
					stgokey1, stgokey2, stgokey3, stgokey4, stgokey5, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4, stgnkey5,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curcvlist', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'displayseq', 'storeent_id', 'currstr', NULL, 'countervaluecurr',
                   :O.displayseq, :O.storeent_id, :O.currstr, NULL, :O.countervaluecurr,
                   NULL, NULL, NULL,           NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_curlist
               AFTER INSERT ON curlist REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curlist', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'currstr', NULL,
                   :N.storeent_id, NULL, :N.currstr, NULL,
                   :N.storeent_id, NULL, :N.currstr, NULL,
                   0, 0 );
               END;
/


Create or replace trigger USTG_curlist
               AFTER UPDATE ON curlist REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curlist', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'currstr', NULL,
                   :O.storeent_id, NULL, :O.currstr, NULL,
                   :N.storeent_id, NULL, :N.currstr, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_curlist
               AFTER DELETE ON curlist REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curlist', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', NULL, 'currstr', NULL,
                   :O.storeent_id, NULL, :O.currstr, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_curfmtdesc
               AFTER INSERT ON curfmtdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curfmtdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'setccurr', NULL, 
                   :N.storeent_id, :N.language_id, :N.setccurr, NULL, 
                   :N.storeent_id, :N.language_id, :N.setccurr, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_curfmtdesc
               AFTER UPDATE ON curfmtdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curfmtdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'setccurr', NULL, 
                   :O.storeent_id, :O.language_id, :O.setccurr, NULL, 
                   :N.storeent_id, :N.language_id, :N.setccurr, NULL, 
                   0, 0 );
               END;
/

Create or replace trigger DSTG_curfmtdesc
               AFTER DELETE ON curfmtdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curfmtdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'language_id', 'setccurr', NULL, 
                   :O.storeent_id, :O.language_id, :O.setccurr, NULL, 
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_curconvert
               AFTER INSERT ON curconvert REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                  maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curconvert', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'curconvert_id', NULL, NULL, NULL,
                   :N.curconvert_id, NULL, NULL, NULL,
                   :N.curconvert_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_curconvert
               AFTER UPDATE ON curconvert REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curconvert', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'curconvert_id', NULL, NULL, NULL,
                   :O.curconvert_id, NULL, NULL, NULL,
                   :N.curconvert_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_curconvert
               AFTER DELETE ON curconvert REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'curconvert', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'curconvert_id', NULL, NULL, NULL,
                   :O.curconvert_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_storedef
               AFTER INSERT ON storedef REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storedef', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', NULL, NULL, NULL,
                   :N.store_id, NULL, NULL, NULL,
                   :N.store_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storedef
               AFTER UPDATE ON storedef REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storedef', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', NULL, NULL, NULL,
                   :O.store_id, NULL, NULL, NULL,
                   :N.store_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storedef
               AFTER DELETE ON storedef REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storedef', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'store_id', NULL, NULL, NULL,
                   :O.store_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catencalcd
               AFTER INSERT ON catencalcd REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catencalcd', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catencalcd_id', NULL, NULL, NULL,
                   :N.catencalcd_id, NULL, NULL, NULL,
                   :N.catencalcd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catencalcd
               AFTER UPDATE ON catencalcd REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catencalcd', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catencalcd_id', NULL, NULL, NULL,
                   :O.catencalcd_id, NULL, NULL, NULL,
                   :N.catencalcd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_catencalcd
               AFTER DELETE ON catencalcd REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catencalcd', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catencalcd_id', NULL, NULL, NULL,
                   :O.catencalcd_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catgpcalcd
               AFTER INSERT ON catgpcalcd REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpcalcd', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catgpcalcd_id', NULL, NULL, NULL,
                   :N.catgpcalcd_id, NULL, NULL, NULL,
                   :N.catgpcalcd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgpcalcd
               AFTER UPDATE ON catgpcalcd REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpcalcd', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catgpcalcd_id', NULL, NULL, NULL,
                   :O.catgpcalcd_id, NULL, NULL, NULL,
                   :N.catgpcalcd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgpcalcd
               AFTER DELETE ON catgpcalcd REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgpcalcd', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catgpcalcd_id', NULL, NULL, NULL,
                   :O.catgpcalcd_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_langpair
               AFTER INSERT ON langpair REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'langpair', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'language_id', 'language_id_alt', NULL, 'storeent_id',
                   :N.language_id, :N.language_id_alt, NULL, :N.storeent_id,
                   :N.language_id, :N.language_id_alt, NULL, :N.storeent_id,
                   0, 0 );
               END;
/

Create or replace trigger USTG_langpair
               AFTER UPDATE ON langpair REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'langpair', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'language_id', 'language_id_alt', NULL, 'storeent_id',
                   :O.language_id, :O.language_id_alt, NULL, :O.storeent_id,
                   :N.language_id, :N.language_id_alt, NULL, :N.storeent_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_langpair
               AFTER DELETE ON langpair REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'langpair', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'language_id', 'language_id_alt', NULL, 'storeent_id',
                   :O.language_id, :O.language_id_alt, NULL, :O.storeent_id,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_catentattr
               AFTER INSERT ON catentattr REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentattr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentattr_id', NULL, NULL, NULL,
                   :N.catentattr_id, NULL, NULL, NULL,
                   :N.catentattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catentattr
               AFTER UPDATE ON catentattr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentattr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentattr_id', NULL, NULL, NULL,
                   :O.catentattr_id, NULL, NULL, NULL,
                   :N.catentattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_catentattr
               AFTER DELETE ON catentattr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catentattr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentattr_id', NULL, NULL, NULL,
                   :O.catentattr_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_acccmdgrp
               AFTER INSERT ON acccmdgrp REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccmdgrp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', NULL, NULL, NULL,
                   :N.acccmdgrp_id, NULL, NULL, NULL,
                   :N.acccmdgrp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acccmdgrp
               AFTER UPDATE ON acccmdgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccmdgrp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', NULL, NULL, NULL,
                   :O.acccmdgrp_id, NULL, NULL, NULL,
                   :N.acccmdgrp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_acccmdgrp
               AFTER DELETE ON acccmdgrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccmdgrp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', NULL, NULL, NULL,
                   :O.acccmdgrp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_acccustexc
               AFTER INSERT ON acccustexc REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccustexc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', 'owner_id', NULL, NULL,
                   :N.acccmdgrp_id, :N.owner_id, NULL, NULL,
                   :N.acccmdgrp_id, :N.owner_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acccustexc
               AFTER UPDATE ON acccustexc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccustexc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', 'owner_id', NULL, NULL,
                   :O.acccmdgrp_id, :O.owner_id, NULL, NULL,
                   :N.acccmdgrp_id, :N.owner_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_acccustexc
               AFTER DELETE ON acccustexc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acccustexc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'acccmdgrp_id', 'owner_id', NULL, NULL,
                   :O.acccmdgrp_id, :O.owner_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_pkgattr
               AFTER INSERT ON pkgattr REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattr_id', NULL, NULL, NULL,
                   :N.pkgattr_id, NULL, NULL, NULL,
                   :N.pkgattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pkgattr
               AFTER UPDATE ON pkgattr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattr_id', NULL, NULL, NULL,
                   :O.pkgattr_id, NULL, NULL, NULL,
                   :N.pkgattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_pkgattr
               AFTER DELETE ON pkgattr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattr_id', NULL, NULL, NULL,
                   :O.pkgattr_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_pkgattrval
               AFTER INSERT ON pkgattrval REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattrval', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattrval_id', NULL, NULL, NULL,
                   :N.pkgattrval_id, NULL, NULL, NULL,
                   :N.pkgattrval_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pkgattrval
               AFTER UPDATE ON pkgattrval REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattrval', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattrval_id', NULL, NULL, NULL,
                   :O.pkgattrval_id, NULL, NULL, NULL,
                   :N.pkgattrval_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_pkgattrval
               AFTER DELETE ON pkgattrval REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgattrval', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'pkgattrval_id', NULL, NULL, NULL,
                   :O.pkgattrval_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_pkgitemrel
               AFTER INSERT ON pkgitemrel REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgitemrel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_pkg', NULL, 'catentry_id_item',
                   :N.catentry_id_parent, :N.catentry_id_pkg, NULL, :N.catentry_id_item,
                   :N.catentry_id_parent, :N.catentry_id_pkg, NULL, :N.catentry_id_item,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pkgitemrel
               AFTER UPDATE ON pkgitemrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgitemrel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_pkg', NULL, 'catentry_id_item',
                   :O.catentry_id_parent, :O.catentry_id_pkg, NULL, :O.catentry_id_item,
                   :N.catentry_id_parent, :N.catentry_id_pkg, NULL, :N.catentry_id_item,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_pkgitemrel
               AFTER DELETE ON pkgitemrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pkgitemrel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id_parent', 'catentry_id_pkg', NULL, 'catentry_id_item',
                   :O.catentry_id_parent, :O.catentry_id_pkg, NULL, :O.catentry_id_item,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_mbrgrpusg
               AFTER INSERT ON mbrgrpusg REFERENCING NEW AS N
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrgrpusg', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'mbrgrp_id', 'mbrgrptype_id', NULL, NULL,
                   :N.mbrgrp_id, :N.mbrgrptype_id, NULL, NULL,
                   :N.mbrgrp_id, :N.mbrgrptype_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_mbrgrpusg
               AFTER UPDATE ON mbrgrpusg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrgrpusg', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'mbrgrp_id', 'mbrgrptype_id', NULL, NULL,
                   :O.mbrgrp_id, :O.mbrgrptype_id, NULL, NULL,
                   :N.mbrgrp_id, :N.mbrgrptype_id, NULL, NULL,
                   0, 0 );
               END;
/


Create or replace trigger DSTG_mbrgrpusg
               AFTER DELETE ON mbrgrpusg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrgrpusg', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'mbrgrp_id', 'mbrgrptype_id', NULL, NULL,
                   :O.mbrgrp_id, :O.mbrgrptype_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_ffmcentds
               AFTER INSERT ON ffmcentds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.ffmcenter_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'I',
                               NULL, 0,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'I',
                               NULL, 1,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               0, 0 );                    
                END IF;
               END;
/


Create or replace trigger USTG_ffmcentds
               AFTER UPDATE ON ffmcentds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.ffmcenter_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :O.ffmcenter_id, :O.language_id, NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               0, 0 );
                ELSE
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :O.ffmcenter_id, :O.language_id, NULL, NULL,
                               :N.ffmcenter_id, :N.language_id, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create  or replace trigger DSTG_ffmcentds
               AFTER DELETE ON ffmcentds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.ffmcenter_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'D',
                               NULL,  0,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :O.ffmcenter_id, :O.language_id, NULL, NULL,
                               NULL, NULL, NULL,           NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'ffmcentds', 'D',
                               NULL,  1,
                               NULL, NULL,
                               'ffmcenter_id', 'language_id', NULL, NULL,
                               :O.ffmcenter_id, :O.language_id, NULL, NULL,
                               NULL, NULL, NULL,           NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger ISTG_staddress
               AFTER INSERT ON staddress REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.staddress_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
		              	    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
			            stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'I',
                               NULL,  0,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
		              	    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
			            stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'I',
                               NULL,  1,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_staddress
               AFTER UPDATE ON staddress REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.staddress_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :O.staddress_id, NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :O.staddress_id, NULL, NULL, NULL,
                               :N.staddress_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_staddress
               AFTER DELETE ON staddress REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.staddress_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'D',
                               NULL,  0,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :O.staddress_id, NULL, NULL, NULL,
                               NULL, NULL, NULL,      NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'staddress', 'D',
                               NULL,  1,
                               NULL, NULL,
                               'staddress_id', NULL, NULL, NULL,
                               :O.staddress_id, NULL, NULL, NULL,
                               NULL, NULL, NULL,      NULL,
                               0, 0 );
                END IF;
               END;
/


Create or replace trigger ISTG_country
       AFTER INSERT ON country REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'country', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'countryabbr', NULL, 
                      :N.language_id, NULL, :N.countryabbr, NULL, 
                      :N.language_id, NULL, :N.countryabbr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_country
       AFTER UPDATE ON country REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'country', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'countryabbr', NULL, 
                      :O.language_id, NULL, :O.countryabbr, NULL, 
                      :N.language_id, NULL, :N.countryabbr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_country
       AFTER DELETE ON country REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'country', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'countryabbr', NULL, 
                      :O.language_id, NULL, :O.countryabbr, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_stateprov
       AFTER INSERT ON stateprov REFERENCING NEW AS N
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'stateprov', 'I', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'stateprovabbr', NULL, 
                      :N.language_id, NULL, :N.stateprovabbr, NULL, 
                      :N.language_id, NULL, :N.stateprovabbr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger USTG_stateprov
       AFTER UPDATE ON stateprov REFERENCING NEW AS N OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'stateprov', 'U', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'stateprovabbr', NULL, 
                      :O.language_id, NULL, :O.stateprovabbr, NULL, 
                      :N.language_id, NULL, :N.stateprovabbr, NULL, 
                      0, 0);
      END;
/
 
Create or replace trigger DSTG_stateprov
       AFTER DELETE ON stateprov REFERENCING OLD AS O
       FOR EACH ROW
       DECLARE
           maxkey integer;
       BEGIN
        UPDATE keys SET counter = counter + 1 WHERE tablename = 'staglog';
        SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
              INSERT INTO staglog
                          (stgrfnbr, stgstmp, stgtable, stgop,
                           stgmenbrname, stgmenbr,
                           stgpkeyname, stgpkey,
                           stgkey1name, stgkey2name, stgkey3name, stgkey4name,
                           stgokey1, stgokey2, stgokey3, stgokey4,
                           stgnkey1, stgnkey2, stgnkey3, stgnkey4,
                           stgprocessed, stgreserved1)
              VALUES (maxkey, sysdate, 'stateprov', 'D', 
                      NULL, 0,
                      NULL, NULL,
                      'language_id', NULL, 'stateprovabbr', NULL, 
                      :O.language_id, NULL, :O.stateprovabbr, NULL, 
                      NULL, NULL, NULL, NULL, 
                      0, 0);
      END;
/

Create or replace trigger ISTG_stencalusg
               AFTER INSERT ON stencalusg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'stencalusg', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'calusage_id', NULL, NULL,
                   :N.storeent_id, :N.calusage_id, NULL, NULL,
                   :N.storeent_id, :N.calusage_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_stencalusg
               AFTER UPDATE ON stencalusg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'stencalusg', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'calusage_id', NULL, NULL,
                   :O.storeent_id, :O.calusage_id, NULL, NULL,
                   :N.storeent_id, :N.calusage_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_stencalusg
               AFTER DELETE ON stencalusg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'stencalusg', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'storeent_id', 'calusage_id', NULL, NULL,
                   :O.storeent_id, :O.calusage_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_tradeposcn
               AFTER INSERT ON tradeposcn REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tradeposcn', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tradeposcn
               AFTER UPDATE ON tradeposcn REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tradeposcn', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tradeposcn
               AFTER DELETE ON tradeposcn REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tradeposcn', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_trdpscnxml
               AFTER INSERT ON trdpscnxml REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trdpscnxml
               AFTER UPDATE ON trdpscnxml REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trdpscnxml
               AFTER DELETE ON trdpscnxml REFERENCING OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_setcurrdsc
               AFTER INSERT ON setcurrdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'setcurrdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', null, 'setccurr', null,
                   :N.language_id, null, :N.setccurr, null,
                   :N.language_id, null, :N.setccurr, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_setcurrdsc
               AFTER UPDATE ON setcurrdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'setcurrdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'setccurr', NULL,
                   :O.language_id, NULL, :O.setccurr, NULL,
                   :N.language_id, NULL, :N.setccurr, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_setcurrdsc
               AFTER DELETE ON setcurrdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'setcurrdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'setccurr', NULL,
                   :O.language_id, NULL, :O.setccurr, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_outputq
               AFTER INSERT ON outputq REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputq', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', null, null, null,
                   :N.outputq_id, null, null, null,
                   :N.outputq_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_outputq
               AFTER UPDATE ON outputq REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputq', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', NULL, NULL, NULL,
                   :O.outputq_id, NULL, NULL, NULL,
                   :N.outputq_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_outputq
               AFTER DELETE ON outputq REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputq', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', NULL, NULL, NULL,
                   :O.outputq_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_outputqdsc
               AFTER INSERT ON outputqdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputqdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', 'language_id', null, null,
                   :N.outputq_id, :N.language_id, null, null,
                   :N.outputq_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_outputqdsc
               AFTER UPDATE ON outputqdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputqdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', 'language_id', NULL, NULL,
                   :O.outputq_id, :O.language_id, NULL, NULL,
                   :N.outputq_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_outputqdsc
               AFTER DELETE ON outputqdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'outputqdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'outputq_id', 'language_id', NULL, NULL,
                   :O.outputq_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_invrsrvtyp
               AFTER INSERT ON invrsrvtyp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvtyp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', null, null, null,
                   :N.invrsrvtyp_id, null, null, null,
                   :N.invrsrvtyp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_invrsrvtyp
               AFTER UPDATE ON invrsrvtyp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvtyp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', NULL, NULL, NULL,
                   :O.invrsrvtyp_id, NULL, NULL, NULL,
                   :N.invrsrvtyp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_invrsrvtyp
               AFTER DELETE ON invrsrvtyp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvtyp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', NULL, NULL, NULL,
                   :O.invrsrvtyp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_invrsrvdsc
               AFTER INSERT ON invrsrvdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', 'language_id', null, null,
                   :N.invrsrvtyp_id, :N.language_id, null, null,
                   :N.invrsrvtyp_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_invrsrvdsc
               AFTER UPDATE ON invrsrvdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', 'language_id', NULL, NULL,
                   :O.invrsrvtyp_id, :O.language_id, NULL, NULL,
                   :N.invrsrvtyp_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_invrsrvdsc
               AFTER DELETE ON invrsrvdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invrsrvdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'invrsrvtyp_id', 'language_id', NULL, NULL,
                   :O.invrsrvtyp_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_ordchnltyp
               AFTER INSERT ON ordchnltyp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'ordchnltyp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'ordchnltyp_id', null, null, null,
                   :N.ordchnltyp_id, null, null, null,
                   :N.ordchnltyp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_ordchnltyp
               AFTER UPDATE ON ordchnltyp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'ordchnltyp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'ordchnltyp_id', NULL, NULL, NULL,
                   :O.ordchnltyp_id, NULL, NULL, NULL,
                   :N.ordchnltyp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_ordchnltyp
               AFTER DELETE ON ordchnltyp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'ordchnltyp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'ordchnltyp_id', NULL, NULL, NULL,
                   :O.ordchnltyp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_invadjcode
               AFTER INSERT ON invadjcode REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjcode', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', null, null, null,
                   :N.invadjcode_id, null, null, null,
                   :N.invadjcode_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_invadjcode
               AFTER UPDATE ON invadjcode REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjcode', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', NULL, NULL, NULL,
                   :O.invadjcode_id, NULL, NULL, NULL,
                   :N.invadjcode_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_invadjcode
               AFTER DELETE ON invadjcode REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjcode', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', NULL, NULL, NULL,
                   :O.invadjcode_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_rtnreason
               AFTER INSERT ON rtnreason REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnreason', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', null, null, null,
                   :N.rtnreason_id, null, null, null,
                   :N.rtnreason_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtnreason
               AFTER UPDATE ON rtnreason REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnreason', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', NULL, NULL, NULL,
                   :O.rtnreason_id, NULL, NULL, NULL,
                   :N.rtnreason_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtnreason
               AFTER DELETE ON rtnreason REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnreason', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', NULL, NULL, NULL,
                   :O.rtnreason_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_rtnrsndesc
               AFTER INSERT ON rtnrsndesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnrsndesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', 'language_id', null, null,
                   :N.rtnreason_id, :N.language_id, null, null,
                   :N.rtnreason_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtnrsndesc
               AFTER UPDATE ON rtnrsndesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnrsndesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', 'language_id', NULL, NULL,
                   :O.rtnreason_id, :O.language_id, NULL, NULL,
                   :N.rtnreason_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtnrsndesc
               AFTER DELETE ON rtnrsndesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtnrsndesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtnreason_id', 'language_id', NULL, NULL,
                   :O.rtnreason_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_rtndspcode
               AFTER INSERT ON rtndspcode REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspcode', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', null, null, null,
                   :N.rtndspcode_id, null, null, null,
                   :N.rtndspcode_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtndspcode
               AFTER UPDATE ON rtndspcode REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspcode', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', NULL, NULL, NULL,
                   :O.rtndspcode_id, NULL, NULL, NULL,
                   :N.rtndspcode_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtndspcode
               AFTER DELETE ON rtndspcode REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspcode', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', NULL, NULL, NULL,
                   :O.rtndspcode_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_rtndspdesc
               AFTER INSERT ON rtndspdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', 'language_id', null, null,
                   :N.rtndspcode_id, :N.language_id, null, null,
                   :N.rtndspcode_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtndspdesc
               AFTER UPDATE ON rtndspdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', 'language_id', NULL, NULL,
                   :O.rtndspcode_id, :O.language_id, NULL, NULL,
                   :N.rtndspcode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtndspdesc
               AFTER DELETE ON rtndspdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndspdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtndspcode_id', 'language_id', NULL, NULL,
                   :O.rtndspcode_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_vendor
               AFTER INSERT ON vendor REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendor', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', null, null, null,
                   :N.vendor_id, null, null, null,
                   :N.vendor_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_vendor
               AFTER UPDATE ON vendor REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendor', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', NULL, NULL, NULL,
                   :O.vendor_id, NULL, NULL, NULL,
                   :N.vendor_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_vendor
               AFTER DELETE ON vendor REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendor', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', NULL, NULL, NULL,
                   :O.vendor_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_vendordesc
               AFTER INSERT ON vendordesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendordesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', 'language_id', null, null,
                   :N.vendor_id, :N.language_id, null, null,
                   :N.vendor_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_vendordesc
               AFTER UPDATE ON vendordesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendordesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', 'language_id', NULL, NULL,
                   :O.vendor_id, :O.language_id, NULL, NULL,
                   :N.vendor_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_vendordesc
               AFTER DELETE ON vendordesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'vendordesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'vendor_id', 'language_id', NULL, NULL,
                   :O.vendor_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_storitmffc
               AFTER INSERT ON storitmffc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storitmffc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id', null, 'ffmcenter_id',
                   :N.baseitem_id, :N.storeent_id, null, :N.ffmcenter_id,
                   :N.baseitem_id, :N.storeent_id, null, :N.ffmcenter_id,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storitmffc
               AFTER UPDATE ON storitmffc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storitmffc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id', NULL, 'ffmcenter_id',
                   :O.baseitem_id, :O.storeent_id, NULL, :O.ffmcenter_id,
                   :N.baseitem_id, :N.storeent_id, NULL, :N.ffmcenter_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storitmffc
               AFTER DELETE ON storitmffc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storitmffc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id_id', NULL, 'ffmcenter_id',
                   :O.baseitem_id, :O.storeent_id, NULL, :O.ffmcenter_id,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_invadjdesc
               AFTER INSERT ON invadjdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', 'language_id', null, null,
                   :N.invadjcode_id, :N.language_id, null, null,
                   :N.invadjcode_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_invadjdesc
               AFTER UPDATE ON invadjdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', 'language_id', NULL, NULL,
                   :O.invadjcode_id, :O.language_id, NULL, NULL,
                   :N.invadjcode_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_invadjdesc
               AFTER DELETE ON invadjdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'invadjdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'invadjcode_id', 'language_id', NULL, NULL,
                   :O.invadjcode_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_distarrang
               AFTER INSERT ON distarrang REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'distarrang', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'distarrang_id', null, null, null,
                   :N.distarrang_id, null, null, null,
                   :N.distarrang_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_distarrang
               AFTER UPDATE ON distarrang REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'distarrang', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'distarrang_id', NULL, NULL, NULL,
                   :O.distarrang_id, NULL, NULL, NULL,
                   :N.distarrang_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_distarrang
               AFTER DELETE ON distarrang REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'distarrang', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'distarrang_id', NULL, NULL, NULL,
                   :O.distarrang_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_versionspc
               AFTER INSERT ON versionspc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'versionspc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'versionspc_id', null, null, null,
                   :N.versionspc_id, null, null, null,
                   :N.versionspc_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_versionspc
               AFTER UPDATE ON versionspc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'versionspc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'versionspc_id', NULL, NULL, NULL,
                   :O.versionspc_id, NULL, NULL, NULL,
                   :N.versionspc_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_versionspc
               AFTER DELETE ON versionspc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'versionspc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'versionspc_id', NULL, NULL, NULL,
                   :O.versionspc_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_storeitem
               AFTER INSERT ON storeitem REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storeitem', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id', null, null,
                   :N.baseitem_id, :N.storeent_id, null, null,
                   :N.baseitem_id, :N.storeent_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storeitem
               AFTER UPDATE ON storeitem REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storeitem', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id', NULL, NULL,
                   :O.baseitem_id, :O.storeent_id, NULL, NULL,
                   :N.baseitem_id, :N.storeent_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storeitem
               AFTER DELETE ON storeitem REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storeitem', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'storeent_id', NULL, NULL,
                   :O.baseitem_id, :O.storeent_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_itemversn
               AFTER INSERT ON itemversn REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemversn', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'itemversn_id', null, null, null,
                   :N.itemversn_id, null, null, null,
                   :N.itemversn_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_itemversn
               AFTER UPDATE ON itemversn REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemversn', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'itemversn_id', NULL, NULL, NULL,
                   :O.itemversn_id, NULL, NULL, NULL,
                   :N.itemversn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_itemversn
               AFTER DELETE ON itemversn REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemversn', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'itemversn_id', NULL, NULL, NULL,
                   :O.itemversn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_itemspc
               AFTER INSERT ON itemspc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemspc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'itemspc_id', null, null, null,
                   :N.itemspc_id, null, null, null,
                   :N.itemspc_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_itemspc
               AFTER UPDATE ON itemspc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemspc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'itemspc_id', NULL, NULL, NULL,
                   :O.itemspc_id, NULL, NULL, NULL,
                   :N.itemspc_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_itemspc
               AFTER DELETE ON itemspc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemspc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'itemspc_id', NULL, NULL, NULL,
                   :O.itemspc_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_shparjurgp
               AFTER INSERT ON shparjurgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparjurgp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', 'jurstgroup_id', null, null,
                   :N.shparrange_id, :N.jurstgroup_id, null, null,
                   :N.shparrange_id, :N.jurstgroup_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_shparjurgp
               AFTER UPDATE ON shparjurgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparjurgp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', 'jurstgroup_id', NULL, NULL,
                   :O.shparrange_id, :O.jurstgroup_id, NULL, NULL,
                   :N.shparrange_id, :N.jurstgroup_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_shparjurgp
               AFTER DELETE ON shparjurgp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'shparjurgp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'shparrange_id', 'jurstgroup_id', NULL, NULL,
                   :O.shparrange_id, :O.jurstgroup_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_baseitem
               AFTER INSERT ON baseitem REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitem', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', null, null, null,
                   :N.baseitem_id, null, null, null,
                   :N.baseitem_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_baseitem
               AFTER UPDATE ON baseitem REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitem', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', NULL, NULL, NULL,
                   :O.baseitem_id, NULL, NULL, NULL,
                   :N.baseitem_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_baseitem
               AFTER DELETE ON baseitem REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitem', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', NULL, NULL, NULL,
                   :O.baseitem_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_baseitmdsc
               AFTER INSERT ON baseitmdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitmdsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'language_id', null, null,
                   :N.baseitem_id, :N.language_id, null, null,
                   :N.baseitem_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_baseitmdsc
               AFTER UPDATE ON baseitmdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitmdsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'language_id', NULL, NULL,
                   :O.baseitem_id, :O.language_id, NULL, NULL,
                   :N.baseitem_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_baseitmdsc
               AFTER DELETE ON baseitmdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'baseitmdsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'baseitem_id', 'language_id', NULL, NULL,
                   :O.baseitem_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_flstategp
               AFTER INSERT ON flstategp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstategp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', null, null, null,
                   :N.flstategp_id, null, null, null,
                   :N.flstategp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flstategp
               AFTER UPDATE ON flstategp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstategp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', NULL, NULL, NULL,
                   :O.flstategp_id, NULL, NULL, NULL,
                   :N.flstategp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flstategp
               AFTER DELETE ON flstategp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstategp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', NULL, NULL, NULL,
                   :O.flstategp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_fldomndesc
               AFTER INSERT ON fldomndesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fldomndesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', 'language_id', null, null,
                   :N.flowdomain_id, :N.language_id, null, null,
                   :N.flowdomain_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_fldomndesc
               AFTER UPDATE ON fldomndesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fldomndesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', 'language_id', NULL, NULL,
                   :O.flowdomain_id, :O.language_id, NULL, NULL,
                   :N.flowdomain_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_fldomndesc
               AFTER DELETE ON fldomndesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fldomndesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', 'langauge_id', NULL, NULL,
                   :O.flowdomain_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_flowdomain
               AFTER INSERT ON flowdomain REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdomain', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', null, null, null,
                   :N.flowdomain_id, null, null, null,
                   :N.flowdomain_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flowdomain
               AFTER UPDATE ON flowdomain REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdomain', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', NULL, NULL, NULL,
                   :O.flowdomain_id, NULL, NULL, NULL,
                   :N.flowdomain_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flowdomain
               AFTER DELETE ON flowdomain REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdomain', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flowdomain_id', NULL, NULL, NULL,
                   :O.flowdomain_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_flcompose
               AFTER INSERT ON flcompose REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flcompose', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'compositeflow_id', 'singleflow_id', NULL, 'sequence',
                   :N.compositeflow_id, :N.singleflow_id, NULL, :N.sequence,
                   :N.compositeflow_id, :N.singleflow_id, NULL, :N.sequence,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flcompose
               AFTER UPDATE ON flcompose REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flcompose', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'compositeflow_id', 'singleflow_id', NULL, 'sequence',
                   :O.compositeflow_id, :O.singleflow_id, NULL, :O.sequence,
                   :N.compositeflow_id, :N.singleflow_id, NULL, :N.sequence,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flcompose
               AFTER DELETE ON flcompose REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flcompose', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'compositeflow_id', 'singleflow_id', NULL, 'sequence',
                   :O.compositeflow_id, :O.singleflow_id, NULL, :O.sequence,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_flow
               AFTER INSERT ON flow REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flow', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', null, null, null,
                   :N.flow_id, null, null, null,
                   :N.flow_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flow
               AFTER UPDATE ON flow REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flow', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', NULL, NULL, NULL,
                   :O.flow_id, NULL, NULL, NULL,
                   :N.flow_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flow
               AFTER DELETE ON flow REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flow', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', NULL, NULL, NULL,
                   :O.flow_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_flowdesc
               AFTER INSERT ON flowdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'language_id', null, null,
                   :N.flow_id, :N.language_id, null, null,
                   :N.flow_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flowdesc
               AFTER UPDATE ON flowdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'language_id', NULL, NULL,
                   :O.flow_id, :O.language_id, NULL, NULL,
                   :N.flow_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flowdesc
               AFTER DELETE ON flowdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowdesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'language_id', NULL, NULL,
                   :O.flow_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_flowtype
               AFTER INSERT ON flowtype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowtype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', null, null, null,
                   :N.flowtype_id, null, null, null,
                   :N.flowtype_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flowtype
               AFTER UPDATE ON flowtype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowtype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', NULL, NULL, NULL,
                   :O.flowtype_id, NULL, NULL, NULL,
                   :N.flowtype_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flowtype
               AFTER DELETE ON flowtype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowtype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', NULL, NULL, NULL,
                   :O.flowtype_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_fltypedesc
               AFTER INSERT ON fltypedesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltypedesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', 'language_id', null, null,
                   :N.flowtype_id, :N.language_id, null, null,
                   :N.flowtype_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_fltypedesc
               AFTER UPDATE ON fltypedesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltypedesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', 'language_id', NULL, NULL,
                   :O.flowtype_id, :O.language_id, NULL, NULL,
                   :N.flowtype_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_fltypedesc
               AFTER DELETE ON fltypedesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltypedesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flowtype_id', 'language_id', NULL, NULL,
                   :O.flowtype_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_flstaterel
               AFTER INSERT ON flstaterel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstaterel', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'flstatedct_id', null, null,
                   :N.flow_id, :N.flstatedct_id, null, null,
                   :N.flow_id, :N.flstatedct_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flstaterel
               AFTER UPDATE ON flstaterel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstaterel', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'flstatedct_id', NULL, NULL,
                   :O.flow_id, :O.flstatedct_id, NULL, NULL,
                   :N.flow_id, :N.flstatedct_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flstaterel
               AFTER DELETE ON flstaterel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstaterel', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flow_id', 'flstatedct_id', NULL, NULL,
                   :O.flow_id, :O.flstatedct_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_flstgpdsc
               AFTER INSERT ON flstgpdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstgpdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', 'language_id', null, null,
                   :N.flstategp_id, :N.language_id, null, null,
                   :N.flstategp_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flstgpdsc
               AFTER UPDATE ON flstgpdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstgpdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', 'language_id', NULL, NULL,
                   :O.flstategp_id, :O.language_id, NULL, NULL,
                   :N.flstategp_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flstgpdsc
               AFTER DELETE ON flstgpdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstgpdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flstategp_id', 'language_id', NULL, NULL,
                   :O.flstategp_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_flstatedct
               AFTER INSERT ON flstatedct REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstatedct', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', null, null, null,
                   :N.flstatedct_id, null, null, null,
                   :N.flstatedct_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flstatedct
               AFTER UPDATE ON flstatedct REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstatedct', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', NULL, NULL, NULL,
                   :O.flstatedct_id, NULL, NULL, NULL,
                   :N.flstatedct_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flstatedct
               AFTER DELETE ON flstatedct REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstatedct', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', NULL, NULL, NULL,
                   :O.flstatedct_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/



Create or replace trigger ISTG_flstdctdsc
               AFTER INSERT ON flstdctdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstdctdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', 'language_id', null, null,
                   :N.flstatedct_id, :N.language_id, null, null,
                   :N.flstatedct_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flstdctdsc
               AFTER UPDATE ON flstdctdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstdctdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', 'language_id', NULL, NULL,
                   :O.flstatedct_id, :O.language_id, NULL, NULL,
                   :N.flstatedct_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flstdctdsc
               AFTER DELETE ON flstdctdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flstdctdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'flstatedct_id', 'language_id', NULL, NULL,
                   :O.flstatedct_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_fltransitn
               AFTER INSERT ON fltransitn REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransitn', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', null, null, null,
                   :N.fltransitn_id, null, null, null,
                   :N.fltransitn_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_fltransitn
               AFTER UPDATE ON fltransitn REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransitn', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', NULL, NULL, NULL,
                   :O.fltransitn_id, NULL, NULL, NULL,
                   :N.fltransitn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_fltransitn
               AFTER DELETE ON fltransitn REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransitn', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', NULL, NULL, NULL,
                   :O.fltransitn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_fltransdsc
               AFTER INSERT ON fltransdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', 'language_id', null, null,
                   :N.fltransitn_id, :N.language_id, null, null,
                   :N.fltransitn_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_fltransdsc
               AFTER UPDATE ON fltransdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', 'language_id', NULL, NULL,
                   :O.fltransitn_id, :O.language_id, NULL, NULL,
                   :N.fltransitn_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_fltransdsc
               AFTER DELETE ON fltransdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'fltransdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'fltransitn_id', 'language_id', NULL, NULL,
                   :O.fltransitn_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_flowadmin
               AFTER INSERT ON flowadmin REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowadmin', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'flowadmin_id', null, null, null,
                   :N.flowadmin_id, null, null, null,
                   :N.flowadmin_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_flowadmin
               AFTER UPDATE ON flowadmin REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowadmin', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'flowadmin_id', NULL, NULL, NULL,
                   :O.flowadmin_id, NULL, NULL, NULL,
                   :N.flowadmin_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_flowadmin
               AFTER DELETE ON flowadmin REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'flowadmin', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'flowadmin_id', NULL, NULL, NULL,
                   :O.flowadmin_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_chargetype
               AFTER INSERT ON chargetype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chargetype', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', null, null, null,
                   :N.chargetype_id, null, null, null,
                   :N.chargetype_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_chargetype
               AFTER UPDATE ON chargetype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chargetype', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', NULL, NULL, NULL,
                   :O.chargetype_id, NULL, NULL, NULL,
                   :N.chargetype_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_chargetype
               AFTER DELETE ON chargetype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chargetype', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', NULL, NULL, NULL,
                   :O.chargetype_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_chrgtypdsc
               AFTER INSERT ON chrgtypdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chrgtypdsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', 'language_id', null, null,
                   :N.chargetype_id, :N.language_id, null, null,
                   :N.chargetype_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_chrgtypdsc
               AFTER UPDATE ON chrgtypdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chrgtypdsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', 'language_id', NULL, NULL,
                   :O.chargetype_id, :O.language_id, NULL, NULL,
                   :N.chargetype_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_chrgtypdsc
               AFTER DELETE ON chrgtypdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chrgtypdsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'chargetype_id', 'language_id', NULL, NULL,
                   :O.chargetype_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_acaction
               AFTER INSERT ON acaction REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acaction', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', null, null, null,
                   :N.acaction_id, null, null, null,
                   :N.acaction_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acaction
               AFTER UPDATE ON acaction REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acaction', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', NULL, NULL, NULL,
                   :O.acaction_id, NULL, NULL, NULL,
                   :N.acaction_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acaction
               AFTER DELETE ON acaction REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acaction', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', NULL, NULL, NULL,
                   :O.acaction_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acactdesc
               AFTER INSERT ON acactdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactdesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'language_id', null, null,
                   :N.acaction_id, :N.language_id, null, null,
                   :N.acaction_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acactdesc
               AFTER UPDATE ON acactdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactdesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'language_id', NULL, NULL,
                   :O.acaction_id, :O.language_id, NULL, NULL,
                   :N.acaction_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acactdesc
               AFTER DELETE ON acactdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactdesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'language_id', NULL, NULL,
                   :O.acaction_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              
Create or replace trigger ISTG_acactactgp
               AFTER INSERT ON acactactgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactactgp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'acactgrp_id', null, null,
                   :N.acaction_id, :N.acactgrp_id, null, null,
                   :N.acaction_id, :N.acactgrp_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acactactgp
               AFTER UPDATE ON acactactgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactactgp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'acactgrp_id', NULL, NULL,
                   :O.acaction_id, :O.acactgrp_id, NULL, NULL,
                   :N.acaction_id, :N.acactgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acactactgp
               AFTER DELETE ON acactactgp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactactgp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acaction_id', 'acactgrp_id', NULL, NULL,
                   :O.acaction_id, :O.acactgrp_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_acactgrp
               AFTER INSERT ON acactgrp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactgrp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', null, null, null,
                   :N.acactgrp_id, null, null, null,
                   :N.acactgrp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acactgrp
               AFTER UPDATE ON acactgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactgrp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', NULL, NULL, NULL,
                   :O.acactgrp_id, NULL, NULL, NULL,
                   :N.acactgrp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acactgrp
               AFTER DELETE ON acactgrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acactgrp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', NULL, NULL, NULL,
                   :O.acactgrp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acacgpdesc
               AFTER INSERT ON acacgpdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acacgpdesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', 'language_id', null, null,
                   :N.acactgrp_id, :N.language_id, null, null,
                   :N.acactgrp_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acacgpdesc
               AFTER UPDATE ON acacgpdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acacgpdesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', 'language_id', NULL, NULL,
                   :O.acactgrp_id, :O.language_id, NULL, NULL,
                   :N.acactgrp_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acacgpdesc
               AFTER DELETE ON acacgpdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acacgpdesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acactgrp_id', 'language_id', NULL, NULL,
                   :O.acactgrp_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_acattr
               AFTER INSERT ON acattr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattr', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', null, null, null,
                   :N.acattr_id, null, null, null,
                   :N.acattr_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acattr
               AFTER UPDATE ON acattr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattr', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', NULL, NULL, NULL,
                   :O.acattr_id, NULL, NULL, NULL,
                   :N.acattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acattr
               AFTER DELETE ON acattr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattr', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', NULL, NULL, NULL,
                   :O.acattr_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
            

Create or replace trigger ISTG_acattrdesc
               AFTER INSERT ON acattrdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattrdesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'language_id', null, null,
                   :N.acattr_id, :N.language_id, null, null,
                   :N.acattr_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acattrdesc
               AFTER UPDATE ON acattrdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattrdesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'language_id', NULL, NULL,
                   :O.acattr_id, :O.language_id, NULL, NULL,
                   :N.acattr_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acattrdesc
               AFTER DELETE ON acattrdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acattrdesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'language_id', NULL, NULL,
                   :O.acattr_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_acresrel
               AFTER INSERT ON acresrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresrel', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'acrescgry_id', null, null,
                   :N.acrelation_id, :N.acrescgry_id, null, null,
                   :N.acrelation_id, :N.acrescgry_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresrel
               AFTER UPDATE ON acresrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresrel', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'acrescgry_id', NULL, NULL,
                   :O.acrelation_id, :O.acrescgry_id, NULL, NULL,
                   :N.acrelation_id, :N.acrescgry_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresrel
               AFTER DELETE ON acresrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresrel', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'acrescgry_id', NULL, NULL,
                   :O.acrelation_id, :O.acrescgry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acrescgry
               AFTER INSERT ON acrescgry REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrescgry', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', null, null, null,
                   :N.acrescgry_id, null, null, null,
                   :N.acrescgry_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acrescgry
               AFTER UPDATE ON acrescgry REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrescgry', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', NULL, NULL, NULL,
                   :O.acrescgry_id, NULL, NULL, NULL,
                   :N.acrescgry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acrescgry
               AFTER DELETE ON acrescgry REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrescgry', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', NULL, NULL, NULL,
                   :O.acrescgry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_acrelation
               AFTER INSERT ON acrelation REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelation', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', null, null, null,
                   :N.acrelation_id, null, null, null,
                   :N.acrelation_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acrelation
               AFTER UPDATE ON acrelation REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelation', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', NULL, NULL, NULL,
                   :O.acrelation_id, NULL, NULL, NULL,
                   :N.acrelation_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acrelation
               AFTER DELETE ON acrelation REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelation', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', NULL, NULL, NULL,
                   :O.acrelation_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
                              
Create or replace trigger ISTG_acreldesc
               AFTER INSERT ON acreldesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acreldesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'language_id', null, null,
                   :N.acrelation_id, :N.language_id, null, null,
                   :N.acrelation_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acreldesc
               AFTER UPDATE ON acreldesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acreldesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'language_id', NULL, NULL,
                   :O.acrelation_id, :O.language_id, NULL, NULL,
                   :N.acrelation_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acreldesc
               AFTER DELETE ON acreldesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acreldesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrelation_id', 'language_id', NULL, NULL,
                   :O.acrelation_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_acresprim
               AFTER INSERT ON acresprim REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresprim', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', null, null, null,
                   :N.acrescgry_id, null, null, null,
                   :N.acrescgry_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresprim
               AFTER UPDATE ON acresprim REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresprim', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', NULL, NULL, NULL,
                   :O.acrescgry_id, NULL, NULL, NULL,
                   :N.acrescgry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresprim
               AFTER DELETE ON acresprim REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresprim', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', NULL, NULL, NULL,
                   :O.acrescgry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acresact
               AFTER INSERT ON acresact REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresact', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', 'acaction_id', null, null,
                   :N.acrescgry_id, :N.acaction_id, null, null,
                   :N.acrescgry_id, :N.acaction_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresact
               AFTER UPDATE ON acresact REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresact', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', 'acaction_id', NULL, NULL,
                   :O.acrescgry_id, :O.acaction_id, NULL, NULL,
                   :N.acrescgry_id, :N.acaction_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresact
               AFTER DELETE ON acresact REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresact', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrescgry_id', 'acaction_id', NULL, NULL,
                   :O.acrescgry_id, :O.acaction_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_acresatrel
               AFTER INSERT ON acresatrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresatrel', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'acrescgry_id', null, null,
                   :N.acattr_id, :N.acrescgry_id, null, null,
                   :N.acattr_id, :N.acrescgry_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresatrel
               AFTER UPDATE ON acresatrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresatrel', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'acrescgry_id', NULL, NULL,
                   :O.acattr_id, :O.acrescgry_id, NULL, NULL,
                   :N.acattr_id, :O.acrescgry_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresatrel
               AFTER DELETE ON acresatrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresatrel', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acattr_id', 'acrescgry_id', NULL, NULL,
                   :O.acattr_id, :O.acrescgry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_acresgrp
               AFTER INSERT ON acresgrp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgrp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', null, null, null,
                   :N.acresgrp_id, null, null, null,
                   :N.acresgrp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresgrp
               AFTER UPDATE ON acresgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgrp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', NULL, NULL, NULL,
                   :O.acresgrp_id, NULL, NULL, NULL,
                   :N.acresgrp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresgrp
               AFTER DELETE ON acresgrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgrp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', NULL, NULL, NULL,
                   :O.acresgrp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acresgpdes
               AFTER INSERT ON acresgpdes REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpdes', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'language_id', null, null,
                   :N.acresgrp_id, :N.language_id, null, null,
                   :N.acresgrp_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresgpdes
               AFTER UPDATE ON acresgpdes REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpdes', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'language_id', NULL, NULL,
                   :O.acresgrp_id, :O.language_id, NULL, NULL,
                   :N.acresgrp_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresgpdes
               AFTER DELETE ON acresgpdes REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpdes', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'language_id', NULL, NULL,
                   :O.acresgrp_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

           
Create or replace trigger ISTG_acresgpres
               AFTER INSERT ON acresgpres REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpres', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'acrescgry_id', null, null,
                   :N.acresgrp_id, :N.acrescgry_id, null, null,
                   :N.acresgrp_id, :N.acrescgry_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acresgpres
               AFTER UPDATE ON acresgpres REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpres', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'acrescgry_id', NULL, NULL,
                   :O.acresgrp_id, :O.acrescgry_id, NULL, NULL,
                   :N.acresgrp_id, :N.acrescgry_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acresgpres
               AFTER DELETE ON acresgpres REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acresgpres', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acresgrp_id', 'acrescgry_id', NULL, NULL,
                   :O.acresgrp_id, :O.acrescgry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_acpolicy
               AFTER INSERT ON acpolicy REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpolicy', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', null, null, null,
                   :N.acpolicy_id, null, null, null,
                   :N.acpolicy_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acpolicy
               AFTER UPDATE ON acpolicy REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpolicy', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', NULL, NULL, NULL,
                   :O.acpolicy_id, NULL, NULL, NULL,
                   :N.acpolicy_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acpolicy
               AFTER DELETE ON acpolicy REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpolicy', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', NULL, NULL, NULL,
                   :O.acpolicy_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_acpoldesc
               AFTER INSERT ON acpoldesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpoldesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', 'language_id', null, null,
                   :N.acpolicy_id, :N.language_id, null, null,
                   :N.acpolicy_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acpoldesc
               AFTER UPDATE ON acpoldesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpoldesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', 'language_id', NULL, NULL,
                   :O.acpolicy_id, :O.language_id, NULL, NULL,
                   :N.acpolicy_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acpoldesc
               AFTER DELETE ON acpoldesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acpoldesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'acpolicy_id', 'language_id', NULL, NULL,
                   :O.acpolicy_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_tfsbdomain
               AFTER INSERT ON tfsbdomain REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomain', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', null, null, null,
                   :N.tfsbdomain_id, null, null, null,
                   :N.tfsbdomain_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfsbdomain
               AFTER UPDATE ON tfsbdomain REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomain', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', NULL, NULL, NULL,
                   :O.tfsbdomain_id, NULL, NULL, NULL,
                   :N.tfsbdomain_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfsbdomain
               AFTER DELETE ON tfsbdomain REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomain', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', NULL, NULL, NULL,
                   :O.tfsbdomain_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_tfsbdomdsc
               AFTER INSERT ON tfsbdomdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', 'language_id', null, null,
                   :N.tfsbdomain_id, :N.language_id, null, null,
                   :N.tfsbdomain_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfsbdomdsc
               AFTER UPDATE ON tfsbdomdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', 'language_id', NULL, NULL,
                   :O.tfsbdomain_id, :O.language_id, NULL, NULL,
                   :N.tfsbdomain_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfsbdomdsc
               AFTER DELETE ON tfsbdomdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfsbdomdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfsbdomain_id', 'language_id', NULL, NULL,
                   :O.tfsbdomain_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_tfdomain
               AFTER INSERT ON tfdomain REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomain', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', null, null, null,
                   :N.tfdomain_id, null, null, null,
                   :N.tfdomain_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfdomain
               AFTER UPDATE ON tfdomain REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomain', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', NULL, NULL, NULL,
                   :O.tfdomain_id, NULL, NULL, NULL,
                   :N.tfdomain_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfdomain
               AFTER DELETE ON tfdomain REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomain', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', NULL, NULL, NULL,
                   :O.tfdomain_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
                 

Create or replace trigger ISTG_tfdomdsc
               AFTER INSERT ON tfdomdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', 'language_id', null, null,
                   :N.tfdomain_id, :N.language_id, null, null,
                   :N.tfdomain_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfdomdsc
               AFTER UPDATE ON tfdomdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', 'language_id', NULL, NULL,
                   :O.tfdomain_id, :O.language_id, NULL, NULL,
                   :N.tfdomain_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfdomdsc
               AFTER DELETE ON tfdomdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfdomdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfdomain_id', 'language_id', NULL, NULL,
                   :O.tfdomain_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_tfalgotype
               AFTER INSERT ON tfalgotype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgotype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', null, null, null,
                   :N.tfalgotype_id, null, null, null,
                   :N.tfalgotype_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfalgotype
               AFTER UPDATE ON tfalgotype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgotype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', NULL, NULL, NULL,
                   :O.tfalgotype_id, NULL, NULL, NULL,
                   :N.tfalgotype_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfalgotype
               AFTER DELETE ON tfalgotype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgotype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', NULL, NULL, NULL,
                   :O.tfalgotype_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_tfalgtypds
               AFTER INSERT ON tfalgtypds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgtypds', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', 'language_id', null, null,
                   :N.tfalgotype_id, :N.language_id, null, null,
                   :N.tfalgotype_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfalgtypds
               AFTER UPDATE ON tfalgtypds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgtypds', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', 'language_id', NULL, NULL,
                   :O.tfalgotype_id, :O.language_id, NULL, NULL,
                   :N.tfalgotype_id, :O.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfalgtypds
               AFTER DELETE ON tfalgtypds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgtypds', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgotype_id', 'language_id', NULL, NULL,
                   :O.tfalgotype_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_tfalgopol
               AFTER INSERT ON tfalgopol REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgopol', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', null, null, null,
                   :N.tfalgopol_id, null, null, null,
                   :N.tfalgopol_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfalgopol
               AFTER UPDATE ON tfalgopol REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgopol', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', NULL, NULL, NULL,
                   :O.tfalgopol_id, NULL, NULL, NULL,
                   :N.tfalgopol_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfalgopol
               AFTER DELETE ON tfalgopol REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgopol', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', NULL, NULL, NULL,
                   :O.tfalgopol_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_tfalgpolds
               AFTER INSERT ON tfalgpolds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgpolds', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', 'language_id', null, null,
                   :N.tfalgopol_id, :N.language_id, null, null,
                   :N.tfalgopol_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tfalgpolds
               AFTER UPDATE ON tfalgpolds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgpolds', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', 'language_id', NULL, NULL,
                   :O.tfalgopol_id, :O.language_id, NULL, NULL,
                   :N.tfalgopol_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tfalgpolds
               AFTER DELETE ON tfalgpolds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tfalgpolds', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'tfalgopol_id', 'language_id', NULL, NULL,
                   :O.tfalgopol_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_operator
               AFTER INSERT ON operator REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operator', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', null, null, null,
                   :N.operator_id, null, null, null,
                   :N.operator_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_operator
               AFTER UPDATE ON operator REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operator', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', NULL, NULL, NULL,
                   :O.operator_id, NULL, NULL, NULL,
                   :N.operator_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_operator
               AFTER DELETE ON operator REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operator', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', NULL, NULL, NULL,
                   :O.operator_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
               
Create or replace trigger ISTG_operatrdsc
               AFTER INSERT ON operatrdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operatrdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', 'language_id', null, null,
                   :N.operator_id, :N.language_id, null, null,
                   :N.operator_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_operatrdsc
               AFTER UPDATE ON operatrdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operatrdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', 'language_id', NULL, NULL,
                   :O.operator_id, :O.language_id, NULL, NULL,
                   :N.operator_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_operatrdsc
               AFTER DELETE ON operatrdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'operatrdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'operator_id', 'language_id', NULL, NULL,
                   :O.operator_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

               
Create or replace trigger ISTG_productset
               AFTER INSERT ON productset REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'productset', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', null, null, null,
                   :N.productset_id, null, null, null,
                   :N.productset_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_productset
               AFTER UPDATE ON productset REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'productset', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', NULL, NULL, NULL,
                   :O.productset_id, NULL, NULL, NULL,
                   :N.productset_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_productset
               AFTER DELETE ON productset REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'productset', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', NULL, NULL, NULL,
                   :O.productset_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_prodsetdsc
               AFTER INSERT ON prodsetdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prodsetdsc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'language_id', null, null,
                   :N.productset_id, :N.language_id, null, null,
                   :N.productset_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_prodsetdsc
               AFTER UPDATE ON prodsetdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prodsetdsc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'language_id', NULL, NULL,
                   :O.productset_id, :O.language_id, NULL, NULL,
                   :N.productset_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_prodsetdsc
               AFTER DELETE ON prodsetdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prodsetdsc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'language_id', NULL, NULL,
                   :O.productset_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_prsetcerel
               AFTER INSERT ON prsetcerel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prsetcerel', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catentry_id', null, null,
                   :N.productset_id, :N.catentry_id, null, null,
                   :N.productset_id, :N.catentry_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_prsetcerel
               AFTER UPDATE ON prsetcerel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prsetcerel', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catentry_id', NULL, NULL,
                   :O.productset_id, :O.catentry_id, NULL, NULL,
                   :N.productset_id, :N.catentry_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_prsetcerel
               AFTER DELETE ON prsetcerel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'prsetcerel', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catentry_id', NULL, NULL,
                   :O.productset_id, :O.catentry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              
                           

Create or replace trigger ISTG_catgrptpc
               AFTER INSERT ON catgrptpc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrptpc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', null, 'tradeposcn_id',
                   :N.catalog_id, :N.catgroup_id, null, :N.tradeposcn_id,
                   :N.catalog_id, :N.catgroup_id, null, :N.tradeposcn_id,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catgrptpc
               AFTER UPDATE ON catgrptpc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrptpc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', NULL, 'tradeposcn_id',
                   :O.catalog_id, :O.catgroup_id, NULL, :O.tradeposcn_id,
                   :N.catalog_id, :N.catgroup_id, NULL, :N.tradeposcn_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgrptpc
               AFTER DELETE ON catgrptpc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrptpc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catalog_id', 'catgroup_id', NULL, 'tradeposcn_id',
                   :O.catalog_id, :O.catgroup_id, NULL, :O.tradeposcn_id,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_catgrpps
               AFTER INSERT ON catgrpps REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpps', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catalog_id', null, 'catgroup_id',
                   :N.productset_id, :N.catalog_id, null, :N.catgroup_id,
                   :N.productset_id, :N.catalog_id, null, :N.catgroup_id,
                   0, 0 );
               END;

/

Create or replace trigger USTG_catgrpps
               AFTER UPDATE ON catgrpps REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpps', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catalog_id', NULL, 'catgroup_id',
                   :O.productset_id, :O.catalog_id, NULL, :O.catgroup_id,
                   :N.productset_id, :N.catalog_id, NULL, :N.catgroup_id,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catgrpps
               AFTER DELETE ON catgrpps REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catgrpps', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'productset_id', 'catalog_id', NULL, 'catgroup_id',
                   :O.productset_id, :O.catalog_id, NULL, :O.catgroup_id,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_catconfinf
               AFTER INSERT ON catconfinf REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catconfinf', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', null, null, null,
                   :N.catentry_id, null, null, null,
                   :N.catentry_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_catconfinf
               AFTER UPDATE ON catconfinf REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catconfinf', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   :N.catentry_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_catconfinf
               AFTER DELETE ON catconfinf REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'catconfinf', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'catentry_id', NULL, NULL, NULL,
                   :O.catentry_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_itemtype
               AFTER INSERT ON itemtype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemtype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   null, null, 'itemtype_id', null,
                   null, null, :N.itemtype_id, null,
                   null, null, :N.itemtype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_itemtype
               AFTER UPDATE ON itemtype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemtype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'itemtype_id', NULL,
                   NULL, NULL, :O.itemtype_id, NULL,
                   NULL, NULL, :N.itemtype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_itemtype
               AFTER DELETE ON itemtype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'itemtype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'itemtype_id', NULL,
                   NULL, NULL, :O.itemtype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_chkcmd
               AFTER INSERT ON chkcmd REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkcmd', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', null, null, null,
                   :N.chkcmd_id, null, null, null,
                   :N.chkcmd_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_chkcmd
               AFTER UPDATE ON chkcmd REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkcmd', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', NULL, NULL, NULL,
                   :O.chkcmd_id, NULL, NULL, NULL,
                   :N.chkcmd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_chkcmd
               AFTER DELETE ON chkcmd REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkcmd', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', NULL, NULL, NULL,
                   :O.chkcmd_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_schcmd
               AFTER INSERT ON schcmd REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'schcmd', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'schcmd_id', null, null, null,
                   :N.schcmd_id, null, null, null,
                   :N.schcmd_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_schcmd
               AFTER UPDATE ON schcmd REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'schcmd', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'schcmd_id', NULL, NULL, NULL,
                   :O.schcmd_id, NULL, NULL, NULL,
                   :N.schcmd_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_schcmd
               AFTER DELETE ON schcmd REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'schcmd', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'schcmd_id', NULL, NULL, NULL,
                   :O.schcmd_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_chkarrang
               AFTER INSERT ON chkarrang REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkarrang', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', 'schcmd_id', null, null,
                   :N.chkcmd_id, :N.schcmd_id, null, null,
                   :N.chkcmd_id, :N.schcmd_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_chkarrang
               AFTER UPDATE ON chkarrang REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkarrang', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', 'schcmd_id', NULL, NULL,
                   :O.chkcmd_id, :O.schcmd_id, NULL, NULL,
                   :N.chkcmd_id, :N.schcmd_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_chkarrang
               AFTER DELETE ON chkarrang REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'chkarrang', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'chkcmd_id', 'schcmd_id', NULL, NULL,
                   :O.chkcmd_id, :O.schcmd_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_calcodemgp
               AFTER INSERT ON calcodemgp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodemgp', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'mbrgrp_id', null, null,
                   :N.calcode_id, :N.mbrgrp_id, null, null,
                   :N.calcode_id, :N.mbrgrp_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_calcodemgp
               AFTER UPDATE ON calcodemgp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodemgp', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'mbrgrp_id', NULL, NULL,
                   :O.calcode_id, :O.mbrgrp_id, NULL, NULL,
                   :N.calcode_id, :N.mbrgrp_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_calcodemgp
               AFTER DELETE ON calcodemgp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'calcodemgp', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'calcode_id', 'mbrgrp_id', NULL, NULL,
                   :O.calcode_id, :O.mbrgrp_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_tctype
               AFTER INSERT ON tctype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tctype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   null, null, 'tctype_id', null,
                   null, null, :N.tctype_id, null,
                   null, null, :N.tctype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tctype
               AFTER UPDATE ON tctype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tctype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'tctype_id', NULL,
                   NULL, NULL, :O.tctype_id, NULL,
                   NULL, NULL, :N.tctype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tctype
               AFTER DELETE ON tctype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tctype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'tctype_id', NULL,
                   NULL, NULL, :O.tctype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
                           

Create or replace trigger ISTG_tcsubtype
               AFTER INSERT ON tcsubtype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   null, null, 'tcsubtype_id', null,
                   null, null, :N.tcsubtype_id, null,
                   null, null, :N.tcsubtype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tcsubtype
               AFTER UPDATE ON tcsubtype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'tcsubtype_id', NULL,
                   NULL, NULL, :O.tcsubtype_id, NULL,
                   NULL, NULL, :N.tcsubtype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tcsubtype
               AFTER DELETE ON tcsubtype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'tcsubtype_id', NULL,
                   NULL, NULL, :O.tcsubtype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_tcsubtypds
               AFTER INSERT ON tcsubtypds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtypds', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', null, 'tcsubtype_id', null,
                   :N.language_id, null, :N.tcsubtype_id, null,
                   :N.language_id, null, :N.tcsubtype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tcsubtypds
               AFTER UPDATE ON tcsubtypds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtypds', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'tcsubtype_id', NULL,
                   :O.language_id, NULL, :O.tcsubtype_id, NULL,
                   :N.language_id, NULL, :N.tcsubtype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tcsubtypds
               AFTER DELETE ON tcsubtypds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcsubtypds', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'tcsubtype_id', NULL,
                   :O.language_id, NULL, :O.tcsubtype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_policytype
               AFTER INSERT ON policytype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   null, null, 'policytype_id', null,
                   null, null, :N.policytype_id, null,
                   null, null, :N.policytype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_policytype
               AFTER UPDATE ON policytype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'policytype_id', NULL,
                   NULL, NULL, :O.policytype_id, NULL,
                   NULL, NULL, :N.policytype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_policytype
               AFTER DELETE ON policytype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'policytype_id', NULL,
                   NULL, NULL, :O.policytype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_plcytypdsc
               AFTER INSERT ON plcytypdsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'plcytypdsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', null, 'policytype_id', null,
                   :N.language_id, null, :N.policytype_id, null,
                   :N.language_id, null, :N.policytype_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_plcytypdsc
               AFTER UPDATE ON plcytypdsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'plcytypdsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'policytype_id', NULL,
                   :O.language_id, NULL, :O.policytype_id, NULL,
                   :N.language_id, NULL, :N.policytype_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_plcytypdsc
               AFTER DELETE ON plcytypdsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'plcytypdsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'language_id', NULL, 'policytype_id', NULL,
                   :O.language_id, NULL, :O.policytype_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_trdtype
               AFTER INSERT ON trdtype REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtype', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', null, null, null,
                   :N.trdtype_id, null, null, null,
                   :N.trdtype_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trdtype
               AFTER UPDATE ON trdtype REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtype', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', NULL, NULL, NULL,
                   :O.trdtype_id, NULL, NULL, NULL,
                   :N.trdtype_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trdtype
               AFTER DELETE ON trdtype REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtype', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', NULL, NULL, NULL,
                   :O.trdtype_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               


Create or replace trigger ISTG_trdtypedsc
               AFTER INSERT ON trdtypedsc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtypedsc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', 'language_id', null, null,
                   :N.trdtype_id, :N.language_id, null, null,
                   :N.trdtype_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trdtypedsc
               AFTER UPDATE ON trdtypedsc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtypedsc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', 'language_id', NULL, NULL,
                   :O.trdtype_id, :O.language_id, NULL, NULL,
                   :N.trdtype_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trdtypedsc
               AFTER DELETE ON trdtypedsc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdtypedsc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'trdtype_id', 'language_id', NULL, NULL,
                   :O.trdtype_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_attachusg
               AFTER INSERT ON attachusg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachusg', 'I',
                   NULL, 0,
                   NULL, NULL,
                   null, null, 'attachusg_id', null,
                   null, null, :N.attachusg_id, null,
                   null, null, :N.attachusg_id, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_attachusg
               AFTER UPDATE ON attachusg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachusg', 'U',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'attachusg_id', NULL,
                   NULL, NULL, :N.attachusg_id, NULL,
                   NULL, NULL, :N.attachusg_id, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_attachusg
               AFTER DELETE ON attachusg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachusg', 'D',
                   NULL, 0,
                   NULL, NULL,
                   NULL, NULL, 'attachusg_id', NULL,
                   NULL, NULL, :O.attachusg_id, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_policy
               AFTER INSERT ON policy REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policy', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', null, null, null,
                   :N.policy_id, null, null, null,
                   :N.policy_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_policy
               AFTER UPDATE ON policy REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policy', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', NULL, NULL, NULL,
                   :O.policy_id, NULL, NULL, NULL,
                   :N.policy_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_policy
               AFTER DELETE ON policy REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policy', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', NULL, NULL, NULL,
                   :O.policy_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               


Create or replace trigger ISTG_policytc
               AFTER INSERT ON policytc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'termcond_id', null, null,
                   :N.policy_id, :N.termcond_id, null, null,
                   :N.policy_id, :N.termcond_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_policytc
               AFTER UPDATE ON policytc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'termcond_id', NULL, NULL,
                   :O.policy_id, :O.termcond_id, NULL, NULL,
                   :N.policy_id, :N.termcond_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_policytc
               AFTER DELETE ON policytc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policytc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'termcond_id', NULL, NULL,
                   :O.policy_id, :O.termcond_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_cntrname
               AFTER INSERT ON cntrname REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrname', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', null, 'name', null,
                   :N.member_id, null, :N.name, null,
                   :N.member_id, null, :N.name, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_cntrname
               AFTER UPDATE ON cntrname REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrname', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', NULL, 'name', NULL,
                   :O.member_id, NULL, :O.name, NULL,
                   :N.member_id, NULL, :N.name, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_cntrname
               AFTER DELETE ON cntrname REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrname', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', NULL, 'name', NULL,
                   :O.member_id, NULL, :O.name, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_cntrdisply
               AFTER INSERT ON cntrdisply REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrdisply', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'cntrdisply_id', null, null, null,
                   :N.cntrdisply_id, null, null, null,
                   :N.cntrdisply_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_cntrdisply
               AFTER UPDATE ON cntrdisply REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrdisply', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'cntrdisply_id', NULL, NULL, NULL,
                   :O.cntrdisply_id, NULL, NULL, NULL,
                   :N.cntrdisply_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_cntrdisply
               AFTER DELETE ON cntrdisply REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'cntrdisply', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'cntrdisply_id', NULL, NULL, NULL,
                   :O.cntrdisply_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              
               
Create or replace trigger ISTG_policycmd
               AFTER INSERT ON policycmd REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policycmd', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', null, 'businesscmdclass', null,
                   :N.policy_id, null, :N.businesscmdclass, null,
                   :N.policy_id, null, :N.businesscmdclass, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_policycmd
               AFTER UPDATE ON policycmd REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policycmd', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', NULL, 'businesscmdclass', NULL,
                   :O.policy_id, NULL, :O.businesscmdclass, NULL,
                   :N.policy_id, NULL, :N.businesscmdclass, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_policycmd
               AFTER DELETE ON policycmd REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policycmd', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', NULL, 'businesscmdclass', NULL,
                   :O.policy_id, NULL, :O.businesscmdclass, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

               
Create or replace trigger ISTG_policydesc
               AFTER INSERT ON policydesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policydesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'language_id', null, null,
                   :N.policy_id, :N.language_id, null, null,
                   :N.policy_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_policydesc
               AFTER UPDATE ON policydesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policydesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'language_id', NULL, NULL,
                   :O.policy_id, :O.language_id, NULL, NULL,
                   :N.policy_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_policydesc
               AFTER DELETE ON policydesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'policydesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'policy_id', 'language_id', NULL, NULL,
                   :O.policy_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_account
               AFTER INSERT ON account REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'account', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'account_id', null, null, null,
                   :N.account_id, null, null, null,
                   :N.account_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_account
               AFTER UPDATE ON account REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'account', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'account_id', NULL, NULL, NULL,
                   :O.account_id, NULL, NULL, NULL,
                   :N.account_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_account
               AFTER DELETE ON account REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'account', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'account_id', NULL, NULL, NULL,
                   :O.account_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               


Create or replace trigger ISTG_storecntr
               AFTER INSERT ON storecntr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecntr', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', 'store_id', null, null,
                   :N.contract_id, :N.store_id, null, null,
                   :N.contract_id, :N.store_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_storecntr
               AFTER UPDATE ON storecntr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecntr', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', 'store_id', NULL, NULL,
                   :O.contract_id, :O.store_id, NULL, NULL,
                   :N.contract_id, :N.store_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_storecntr
               AFTER DELETE ON storecntr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'storecntr', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'contract_id', 'store_id', NULL, NULL,
                   :O.contract_id, :O.store_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_trading
               AFTER INSERT ON trading REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trading', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', null, null, null,
                   :N.trading_id, null, null, null,
                   :N.trading_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trading
               AFTER UPDATE ON trading REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trading', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', NULL, NULL, NULL,
                   :O.trading_id, NULL, NULL, NULL,
                   :N.trading_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trading
               AFTER DELETE ON trading REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trading', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', NULL, NULL, NULL,
                   :O.trading_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_trddesc
               AFTER INSERT ON trddesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trddesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'language_id', null, null,
                   :N.trading_id, :N.language_id, null, null,
                   :N.trading_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trddesc
               AFTER UPDATE ON trddesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trddesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'language_id', NULL, NULL,
                   :O.trading_id, :O.language_id, NULL, NULL,
                   :N.trading_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trddesc
               AFTER DELETE ON trddesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trddesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'language_id', NULL, NULL,
                   :O.trading_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_termcond
               AFTER INSERT ON termcond REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'termcond', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', null, null, null,
                   :N.termcond_id, null, null, null,
                   :N.termcond_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_termcond
               AFTER UPDATE ON termcond REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'termcond', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', NULL, NULL, NULL,
                   :O.termcond_id, NULL, NULL, NULL,
                   :N.termcond_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_termcond
               AFTER DELETE ON termcond REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'termcond', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', NULL, NULL, NULL,
                   :O.termcond_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_tcdesc
               AFTER INSERT ON tcdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', 'language_id', null, null,
                   :N.termcond_id, :N.language_id, null, null,
                   :N.termcond_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_tcdesc
               AFTER UPDATE ON tcdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', 'language_id', NULL, NULL,
                   :O.termcond_id, :O.language_id, NULL, NULL,
                   :N.termcond_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_tcdesc
               AFTER DELETE ON tcdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'tcdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'termcond_id', 'language_id', NULL, NULL,
                   :O.termcond_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               


Create or replace trigger ISTG_attachment
               AFTER INSERT ON attachment REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachment', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'attachment_id', null, null, null,
                   :N.attachment_id, null, null, null,
                   :N.attachment_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_attachment
               AFTER UPDATE ON attachment REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachment', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'attachment_id', NULL, NULL, NULL,
                   :O.attachment_id, NULL, NULL, NULL,
                   :N.attachment_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_attachment
               AFTER DELETE ON attachment REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'attachment', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'attachment_id', NULL, NULL, NULL,
                   :O.attachment_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_trdattach
               AFTER INSERT ON trdattach REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdattach', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'attachment_id', null, null,
                   :N.trading_id, :N.attachment_id, null, null,
                   :N.trading_id, :N.attachment_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_trdattach
               AFTER UPDATE ON trdattach REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdattach', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'attachment_id', NULL, NULL,
                   :O.trading_id, :O.attachment_id, NULL, NULL,
                   :N.trading_id, :N.attachment_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trdattach
               AFTER DELETE ON trdattach REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdattach', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'trading_id', 'attachment_id', NULL, NULL,
                   :O.trading_id, :O.attachment_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_mbrattr
               AFTER INSERT ON mbrattr REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrattr', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'mbrattr_id', null, null, null,
                   :N.mbrattr_id, null, null, null,
                   :N.mbrattr_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_mbrattr
               AFTER UPDATE ON mbrattr REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrattr', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'mbrattr_id', NULL, NULL, NULL,
                   :O.mbrattr_id, NULL, NULL, NULL,
                   :N.mbrattr_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_mbrattr
               AFTER DELETE ON mbrattr REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'mbrattr', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'mbrattr_id', NULL, NULL, NULL,
                   :O.mbrattr_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_role
               AFTER INSERT ON role REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'role', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'role_id', null, null, null,
                   :N.role_id, null, null, null,
                   :N.role_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_role
               AFTER UPDATE ON role REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'role', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'role_id', NULL, NULL, NULL,
                   :O.role_id, NULL, NULL, NULL,
                   :N.role_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_role
               AFTER DELETE ON role REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'role', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'role_id', NULL, NULL, NULL,
                   :O.role_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_mbrattrval
               AFTER INSERT ON mbrattrval REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   mtype   char(20);
               BEGIN
                    SELECT member.type INTO mtype FROM member WHERE member_id = :N.member_id;
                IF ( 'U' != mtype) THEN 
		    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
			            stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		           VALUES (maxkey, sysdate, 'mbrattrval', 'I',
                                   NULL, 1,
                                   NULL, NULL,
                                   'mbrattrval_id', null, null, null,
                                   :N.mbrattrval_id, null, null, null,
                                   :N.mbrattrval_id, null, null, null,
                                   0, 0);
                END IF;
               END;
/

Create or replace trigger USTG_mbrattrval
               AFTER UPDATE ON mbrattrval REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   omtype char(20);
                   nmtype char(20);
               BEGIN
                SELECT type INTO nmtype FROM member WHERE member_id = :N.member_id;
                SELECT type INTO omtype FROM member WHERE member_id = :O.member_id;
                IF ('U' != nmtype AND 'U' != omtype) THEN
                     UPDATE keys SET counter=counter+1 where tablename='staglog';
                     SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			    VALUES ( maxkey, sysdate, 'mbrattrval', 'U',
                                     NULL, 1,
                                     NULL, NULL,
                                     'mbrattrval_id', NULL, NULL, NULL,
                                     :O.mbrattrval_id, NULL, NULL, NULL,
                                     :N.mbrattrval_id, NULL, NULL, NULL,
                                      0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_mbrattrval
               AFTER DELETE ON mbrattrval REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   mtype char(20);
               BEGIN
                SELECT type INTO mtype FROM member WHERE member_id = :O.member_id;
                IF ( 'U' != mtype ) THEN
                     UPDATE keys SET counter=counter+1 where tablename='staglog';
                     SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                     INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			    VALUES ( maxkey, sysdate, 'mbrattrval', 'D',
                                     NULL, 1,
                                     NULL, NULL,
                                     'mbrattrval_id', NULL, NULL, NULL,
                                     :O.mbrattrval_id, NULL, NULL, NULL,
                                     NULL, NULL, NULL,           NULL,
                                     0, 0 );
                END IF;
               END;
/


Create or replace trigger ISTG_mbrrole
               AFTER INSERT ON mbrrole REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   mtype  char(20);
               BEGIN
                SELECT type INTO mtype FROM member WHERE member_id = :N.member_id;
                IF ('U' != mtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			   VALUES ( maxkey, sysdate, 'mbrrole', 'I',
                                    NULL, 1,
                                    NULL, NULL,
                                    'member_id', 'role_id', null, 'orgentity_id',
                                    :N.member_id, :N.role_id, null, :N.orgentity_id,
                                    :N.member_id, :N.role_id, null, :N.orgentity_id,
                                    0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_mbrrole
               AFTER UPDATE ON mbrrole REFERENCING NEW AS N OLD AS O
               FOR EACH ROW  
               DECLARE
                   maxkey integer;
                   nmtype char(20);
                   omtype char(20);
               BEGIN
                SELECT type INTO nmtype FROM member WHERE member_id = :N.member_id;
		SELECT type INTO omtype FROM member WHERE member_id = :O.member_id;
                IF ('U' != nmtype AND 'U' != omtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			    VALUES ( maxkey, sysdate, 'mbrrole', 'U',
                                     NULL, 1,
                                     NULL, NULL,
                                     'member_id', 'role_id', NULL, 'orgentity_id',
                                     :O.member_id, :O.role_id, NULL, :O.orgentity_id,
                                     :N.member_id, :N.role_id, NULL, :N.orgentity_id,
                                     0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_mbrrole
               AFTER DELETE ON mbrrole REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
                   mtype  char(20);
               BEGIN
                SELECT type INTO mtype FROM member WHERE member_id = :O.member_id;
                IF ('U' != mtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			   VALUES ( maxkey, sysdate, 'mbrrole', 'D',
                                    NULL, 1,
                                    NULL, NULL,
                                    'member_id', 'role_id', NULL, 'orgentity_id',
                                    :O.member_id, :O.role_id, NULL, :O.orgentity_id,
                                    NULL, NULL, NULL,           NULL,
                                    0, 0 );
                END IF;
               END;
/



Create or replace trigger ISTG_mbrrel
               AFTER INSERT ON mbrrel REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   amtype char(20);
                   dmtype char(20);
               BEGIN
                SELECT type INTO amtype FROM member WHERE member_id = :N.ancestor_id;
                SELECT type INTO dmtype FROM member WHERE member_id = :N.descendant_id;
                IF ('U' != amtype AND 'U' != dmtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			   VALUES ( maxkey, sysdate, 'mbrrel', 'I',
                                    NULL, 1,
                                    NULL, NULL,
                                    'ancestor_id', 'descendant_id',null, null,
                                    :N.ancestor_id, :N.descendant_id, null, null,
                                    :N.ancestor_id, :N.descendant_id, null, null,
                                    0, 0 );
                END IF;
               END;
/

Create or replace trigger USTG_mbrrel
               AFTER UPDATE ON mbrrel REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   namtype char(20);
                   ndmtype char(20);
                   oamtype char(20);
                   odmtype char(20);
               BEGIN
                SELECT type INTO namtype FROM member WHERE member_id = :N.ancestor_id;
                SELECT type INTO ndmtype FROM member WHERE member_id = :N.descendant_id;
                SELECT type INTO oamtype FROM member WHERE member_id = :O.ancestor_id;
                SELECT type INTO odmtype FROM member WHERE member_id = :O.descendant_id;
                IF ('U' != namtype AND 'U' != ndmtype AND 'U' != oamtype AND 'U' != odmtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			   VALUES ( maxkey, sysdate, 'mbrrel', 'U',
                                    NULL, 1,
                                    NULL, NULL,
                                    'ancestor_id', 'descendant_id', NULL, NULL,
                                    :O.ancestor_id, :O.descendant_id, NULL, NULL,
                                    :N.ancestor_id, :O.descendant_id, NULL, NULL,
                                    0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_mbrrel
               AFTER DELETE ON mbrrel REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
                   amtype char(20);
                   dmtype char(20);
               BEGIN
                SELECT type INTO amtype FROM member WHERE member_id = :O.ancestor_id;
                SELECT type INTO dmtype FROM member WHERE member_id = :O.descendant_id;
                IF ('U' != amtype AND 'U' != dmtype) THEN
                    UPDATE keys SET counter=counter+1 where tablename='staglog';
                    SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
			   VALUES ( maxkey, sysdate, 'mbrrel', 'D',
                                    NULL, 1,
                                    NULL, NULL,
                                    'ancestor_id', 'descendant_id', NULL, NULL,
                                    :O.ancestor_id, :O.descendant_id, NULL, NULL,
                                    NULL, NULL, NULL,           NULL,
                                    0, 0 );
                END IF;
               END;
/



Create or replace trigger ISTG_partrole
               AFTER INSERT ON partrole REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partrole', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', null, null, null,
                   :N.partrole_id, null, null, null,
                   :N.partrole_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_partrole
               AFTER UPDATE ON partrole REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partrole', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', NULL, NULL, NULL,
                   :O.partrole_id, NULL, NULL, NULL,
                   :N.partrole_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_partrole
               AFTER DELETE ON partrole REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partrole', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', NULL, NULL, NULL,
                   :O.partrole_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_partroleds
               AFTER INSERT ON partroleds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partroleds', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', 'language_id', null, null,
                   :N.partrole_id, :N.language_id, null, null,
                   :N.partrole_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_partroleds
               AFTER UPDATE ON partroleds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partroleds', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', 'language_id', NULL, NULL,
                   :O.partrole_id, :O.language_id, NULL, NULL,
                   :N.partrole_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_partroleds
               AFTER DELETE ON partroleds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'partroleds', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'partrole_id', 'language_id', NULL, NULL,
                   :O.partrole_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_participnt
               AFTER INSERT ON participnt REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'participnt', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'participnt_id', null, null, null,
                   :N.participnt_id, null, null, null,
                   :N.participnt_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_participnt
               AFTER UPDATE ON participnt REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'participnt', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'participnt_id', NULL, NULL, NULL,
                   :O.participnt_id, NULL, NULL, NULL,
                   :N.participnt_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_participnt
               AFTER DELETE ON participnt REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'participnt', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'participnt_id', NULL, NULL, NULL,
                   :O.participnt_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_icdatareg
               AFTER INSERT ON icdatareg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'icdatareg', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'refid', null, null, null,
                   :N.refid, null, null, null,
                   :N.refid, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_icdatareg
               AFTER UPDATE ON icdatareg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'icdatareg', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'refid', NULL, NULL, NULL,
                   :O.refid, NULL, NULL, NULL,
                   :N.refid, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_icdatareg
               AFTER DELETE ON icdatareg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'icdatareg', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'refid', NULL, NULL, NULL,
                   :O.refid, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_buyerpotyp
               AFTER INSERT ON buyerpotyp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpotyp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'buyerpotyp_id', null, null, null,
                   :N.buyerpotyp_id, null, null, null,
                   :N.buyerpotyp_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_buyerpotyp
               AFTER UPDATE ON buyerpotyp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpotyp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'buyerpotyp_id', NULL, NULL, NULL,
                   :O.buyerpotyp_id, NULL, NULL, NULL,
                   :N.buyerpotyp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_buyerpotyp
               AFTER DELETE ON buyerpotyp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpotyp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'buyerpotyp_id', NULL, NULL, NULL,
                   :O.buyerpotyp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
               
Create or replace trigger ISTG_buyerpo
               AFTER INSERT ON buyerpo REFERENCING NEW AS N
               FOR EACH ROW
               WHEN ( N.buyerpotyp_id in (1, 2)) 
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpo', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'buyerpo_id', null, null, null,
                   :N.buyerpo_id, null, null, null,
                   :N.buyerpo_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_buyerpo
               AFTER UPDATE ON buyerpo REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               WHEN ( N.buyerpotyp_id in (1, 2)) 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpo', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'buyerpo_id', NULL, NULL, NULL,
                   :O.buyerpo_id, NULL, NULL, NULL,
                   :N.buyerpo_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_buyerpo
               AFTER DELETE ON buyerpo REFERENCING OLD AS O
               FOR EACH ROW
               WHEN ( O.buyerpotyp_id in (1, 2))
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'buyerpo', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'buyerpo_id', NULL, NULL, NULL,
                   :O.buyerpo_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

               
Create or replace trigger ISTG_rtndnyrsn
               AFTER INSERT ON rtndnyrsn REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnyrsn', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', null, null, null,
                   :N.rtndnyrsn_id, null, null, null,
                   :N.rtndnyrsn_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtndnyrsn
               AFTER UPDATE ON rtndnyrsn REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnyrsn', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', NULL, NULL, NULL,
                   :O.rtndnyrsn_id, NULL, NULL, NULL,
                   :N.rtndnyrsn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtndnyrsn
               AFTER DELETE ON rtndnyrsn REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnyrsn', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', NULL, NULL, NULL,
                   :O.rtndnyrsn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_rtndnydesc
               AFTER INSERT ON rtndnydesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnydesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', 'language_id', null, null,
                   :N.rtndnyrsn_id, :N.language_id, null, null,
                   :N.rtndnyrsn_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_rtndnydesc
               AFTER UPDATE ON rtndnydesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnydesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', 'language_id', NULL, NULL,
                   :O.rtndnyrsn_id, :O.language_id, NULL, NULL,
                   :N.rtndnyrsn_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_rtndnydesc
               AFTER DELETE ON rtndnydesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'rtndnydesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'rtndnyrsn_id', 'language_id', NULL, NULL,
                   :O.rtndnyrsn_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_creditline
               AFTER INSERT ON creditline REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'creditline', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'creditline_id', null, null, null,
                   :N.creditline_id, null, null, null,
                   :N.creditline_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_creditline
               AFTER UPDATE ON creditline REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'creditline', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'creditline_id', NULL, NULL, NULL,
                   :O.creditline_id, NULL, NULL, NULL,
                   :N.creditline_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_creditline
               AFTER DELETE ON creditline REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'creditline', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'creditline_id', NULL, NULL, NULL,
                   :O.creditline_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               

Create or replace trigger ISTG_pattribute
               AFTER INSERT ON pattribute REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattribute', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', null, null, null,
                   :N.pattribute_id, null, null, null,
                   :N.pattribute_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pattribute
               AFTER UPDATE ON pattribute REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattribute', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', NULL, NULL, NULL,
                   :O.pattribute_id, NULL, NULL, NULL,
                   :N.pattribute_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_pattribute
               AFTER DELETE ON pattribute REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattribute', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', NULL, NULL, NULL,
                   :O.pattribute_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_pattrdesc
               AFTER INSERT ON pattrdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrdesc', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'language_id', null, null,
                   :N.pattribute_id, :N.language_id, null, null,
                   :N.pattribute_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pattrdesc
               AFTER UPDATE ON pattrdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrdesc', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'language_id', NULL, NULL,
                   :O.pattribute_id, :O.language_id, NULL, NULL,
                   :N.pattribute_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_pattrdesc
               AFTER DELETE ON pattrdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrdesc', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'language_id', NULL, NULL,
                   :O.pattribute_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
              

Create or replace trigger ISTG_pattrprod
               AFTER INSERT ON pattrprod REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrprod', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'catentry_id', null, null,
                   :N.pattribute_id, :N.catentry_id, null, null,
                   :N.pattribute_id, :N.catentry_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_pattrprod
               AFTER UPDATE ON pattrprod REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrprod', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'catentry_id', NULL, NULL,
                   :O.pattribute_id, :O.catentry_id, NULL, NULL,
                   :N.pattribute_id, :N.catentry_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_pattrprod
               AFTER DELETE ON pattrprod REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'pattrprod', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'pattribute_id', 'catentry_id', NULL, NULL,
                   :O.pattribute_id, :O.catentry_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/
               
Create or replace trigger ISTG_acorgpol
               AFTER INSERT ON acorgpol REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acorgpol', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', 'acpolicy_id', null, null,
                   :N.member_id, :N.acpolicy_id, null, null,
                   :N.member_id, :N.acpolicy_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_acorgpol
               AFTER UPDATE ON acorgpol REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acorgpol', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', 'acpolicy_id', NULL, NULL,
                   :O.member_id, :O.acpolicy_id, NULL, NULL,
                   :N.member_id, :N.acpolicy_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acorgpol
               AFTER DELETE ON acorgpol REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acorgpol', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'member_id', 'acpolicy_id', NULL, NULL,
                   :O.member_id, :O.acpolicy_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_numbrusg
               AFTER INSERT ON numbrusg REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusg', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'numbrusg_id', null, null, null,
                   :N.numbrusg_id, null, null, null,
                   :N.numbrusg_id, null, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_numbrusg
               AFTER UPDATE ON numbrusg REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusg', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'numbrusg_id', NULL, NULL, NULL,
                   :O.numbrusg_id, NULL, NULL, NULL,
                   :N.numbrusg_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_numbrusg
               AFTER DELETE ON numbrusg REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusg', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'numbrusg_id', NULL, NULL, NULL,
                   :O.numbrusg_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_numbrusgds
               AFTER INSERT ON numbrusgds REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusgds', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'numbrusg_id', 'language_id', null, null,
                   :N.numbrusg_id, :N.language_id, null, null,
                   :N.numbrusg_id, :N.language_id, null, null,
                   0, 0 );
               END;
/

Create or replace trigger USTG_numbrusgds
               AFTER UPDATE ON numbrusgds REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusgds', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'numbrusg_id', 'language_id', NULL, NULL,
                   :O.numbrusg_id, :O.language_id, NULL, NULL,
                   :N.numbrusg_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_numbrusgds
               AFTER DELETE ON numbrusgds REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'numbrusgds', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'numbrusg_id', 'language_id', NULL, NULL,
                   :O.numbrusg_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_mbrgrpcond
               AFTER INSERT ON mbrgrpcond REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.mbrgrp_id = 0 THEN 
                    INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'mbrgrpcond', 'I',
                             NULL, 0,
                             NULL, NULL,
                             'mbrgrp_id', NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             0, 0);
                ELSE
                   INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		    VALUES ( maxkey, sysdate, 'mbrgrpcond', 'I',
                             NULL, 1,
                             NULL, NULL,
                             'mbrgrp_id', NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             :N.mbrgrp_id, NULL, NULL, NULL,
                             0, 0);
                END IF;
               END;
/

Create or replace trigger USTG_mbrgrpcond
               AFTER UPDATE ON mbrgrpcond REFERENCING NEW AS N OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :N.mbrgrp_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'mbrgrpcond', 'U',
                               NULL, 0,
                               NULL, NULL,
                               'mbrgrp_id', NULL, NULL, NULL,
                               :O.mbrgrp_id, NULL, NULL, NULL,
                               :N.mbrgrp_id, NULL, NULL, NULL,
                               0, 0 );
                ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES ( maxkey, sysdate, 'mbrgrpcond', 'U',
                               NULL, 1,
                               NULL, NULL,
                               'mbrgrp_id', NULL, NULL, NULL,
                               :O.mbrgrp_id, NULL, NULL, NULL,
                               :N.mbrgrp_id, NULL, NULL, NULL,
                               0, 0 );
                END IF;
               END;
/

Create or replace trigger DSTG_mbrgrpcond
               AFTER DELETE ON mbrgrpcond REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                IF :O.mbrgrp_id = 0 THEN
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'mbrgrpcond', 'D',
                              NULL, 0,
                              NULL, NULL,
                              'mbrgrp_id', NULL, NULL, NULL,
                              :O.mbrgrp_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,          NULL,
                              0, 0 );
                 ELSE
                      INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
				    stgpkeyname, stgpkey, 
				    stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
				    stgokey1, stgokey2, stgokey3, stgokey4, 
				    stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                                    stgprocessed, stgreserved1)	
		      VALUES (maxkey, sysdate, 'mbrgrpcond', 'D',
                              NULL, 1,
                              NULL, NULL,
                              'mbrgrp_id', NULL, NULL, NULL,
                              :O.mbrgrp_id, NULL, NULL, NULL,
                              NULL, NULL, NULL,          NULL,
                              0, 0 );
                 END IF;
               END;
/

Create or replace trigger ISTG_msgtypes
               AFTER INSERT ON msgtypes REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'msgtypes', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'msgtype_id', null, null, null,
                   :N.msgtype_id, null, null, null,
                   :N.msgtype_id, null, null, null,
                   0, 0 );
               END;
/


Create or replace trigger USTG_msgtypes
               AFTER UPDATE ON msgtypes REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'msgtypes', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'msgtype_id', NULL, NULL, NULL,
                   :O.msgtype_id, NULL, NULL, NULL,
                   :N.msgtype_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_msgtypes
               AFTER DELETE ON msgtypes REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'msgtypes', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'msgtype_id', NULL, NULL, NULL,
                   :O.msgtype_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_transport
               AFTER INSERT ON transport REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'transport', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'transport_id', null, null, null,
                   :N.transport_id, null, null, null,
                   :N.transport_id, null, null, null,
                   0, 0 );
               END;
/


Create or replace trigger USTG_transport
               AFTER UPDATE ON transport REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'transport', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'transport_id', NULL, NULL, NULL,
                   :O.transport_id, NULL, NULL, NULL,
                   :N.transport_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_transport
               AFTER DELETE ON transport REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'transport', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'transport_id', NULL, NULL, NULL,
                   :O.transport_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/


Create or replace trigger ISTG_trdpscnxml
               AFTER INSERT ON trdpscnxml REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'I',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', null, null, null,
                   :N.tradeposcn_id, null, null, null,
                   :N.tradeposcn_id, null, null, null,
                   0, 0 );
               END;
/


Create or replace trigger USTG_trdpscnxml
               AFTER UPDATE ON trdpscnxml REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'U',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   :N.tradeposcn_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_trdpscnxml
               AFTER DELETE ON trdpscnxml REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'trdpscnxml', 'D',
                   NULL, 1,
                   NULL, NULL,
                   'tradeposcn_id', NULL, NULL, NULL,
                   :O.tradeposcn_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_acrelgrp
               AFTER INSERT ON acrelgrp REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelgrp', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', null, null, null,
                   :N.acrelgrp_id, null, null, null,
                   :N.acrelgrp_id, null, null, null,
                   0, 0 );
               END;
/


Create or replace trigger USTG_acrelgrp
               AFTER UPDATE ON acrelgrp REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelgrp', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', NULL, NULL, NULL,
                   :O.acrelgrp_id, NULL, NULL, NULL,
                   :N.acrelgrp_id, NULL, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acrelgrp
               AFTER DELETE ON acrelgrp REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrelgrp', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', NULL, NULL, NULL,
                   :O.acrelgrp_id, NULL, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/

Create or replace trigger ISTG_acrlgpdesc
               AFTER INSERT ON acrlgpdesc REFERENCING NEW AS N
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN 
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrlgpdesc', 'I',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', 'language_id', null, null,
                   :N.acrelgrp_id, :N.language_id, null, null,
                   :N.acrelgrp_id, :N.language_id, null, null,
                   0, 0 );
               END;
/


Create or replace trigger USTG_acrlgpdesc
               AFTER UPDATE ON acrlgpdesc REFERENCING NEW AS N OLD AS O
               FOR EACH ROW 
               DECLARE
                   maxkey integer;
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrlgpdesc', 'U',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', 'language_id', NULL, NULL,
                   :O.acrelgrp_id, :O.language_id, NULL, NULL,
                   :N.acrelgrp_id, :N.language_id, NULL, NULL,
                   0, 0 );
               END;
/

Create or replace trigger DSTG_acrlgpdesc
               AFTER DELETE ON acrlgpdesc REFERENCING OLD AS O
               FOR EACH ROW
               DECLARE
                   maxkey integer; 
               BEGIN
                UPDATE keys SET counter=counter+1 where tablename='staglog';
                SELECT counter INTO maxkey FROM keys WHERE tablename = 'staglog';
                INSERT INTO staglog   
				   (stgrfnbr, stgstmp, stgtable, stgop, 
				    stgmenbrname, stgmenbr, 
					stgpkeyname, stgpkey, 
					stgkey1name, stgkey2name, stgkey3name, stgkey4name, 
					stgokey1, stgokey2, stgokey3, stgokey4, 
					stgnkey1, stgnkey2, stgnkey3 , stgnkey4,
                    stgprocessed, stgreserved1)	
					VALUES ( maxkey,
                   sysdate, 'acrlgpdesc', 'D',
                   NULL, 0,
                   NULL, NULL,
                   'acrelgrp_id', 'language_id', NULL, NULL,
                   :O.acrelgrp_id, :O.language_id, NULL, NULL,
                   NULL, NULL, NULL,           NULL,
                   0, 0 );
               END;
/































































